# About Lonnie Gamble

![Lonnie Bhutan](../images/week01/lonnie-bhutan-minister-powdyel.jpg)
**Lonnie and the Bhutan Education Minister Lynpo Powdyel**  

Hi! I am Lonnie Gamble. I retired in August of 2021 and moved from the Fairfield, Iowa USA to Gaillac, France. I have a BS in Electrical Engineering, a masters degree in Economics for Transition, and graduate Diplomas in Permaculture Education and Permaculture Design.  Most of my career has been involved in starting and running new ventures in telecommunications, renewable energy, organic agriculture, ecovillage development, and sustainability education.  

I am a passionate maker and have founded two makerspaces/fablabs, the [Fairfield Makers Cooperative](http://www.fairfieldmakerscoop.com/) and the [Fairfield Makerspace](https://www.fairfieldmakerspace.com/).  The Fairfield Makerspace is an integral part of the Sustainable Living Department at Maharishi International University, where I was a founding faculty member and department head.    

I see the surface diversity of life as having it's source in the unity of being and have been doing a daily practice of Transcendental Meditation since 1976.  I try to live a life that celebrates the fecundity of the earth, humans, and the life beyond humans on earth.  I have been a vegetarian since 1976.   

My passions include  most anything to do with the ocean or being immersed in flow of the wind and the sea - kayaking, windsurfing, surfing, land sailing, flying kites and boomerangs.  I hope to learn wing foiling during my time in Barcelona.    

I dream of creating a recreational blimp like this one made by Brazillian inventor Alberto Santos-Dumont  in the early 1900's:

![image of Santos Dumont Blimp](../images/week01/blimp-santos-dumont-eiffel-tower-.jpg)  
**Alberto Santos-Dumont - the dream of the flying car realized in 1900**  

Or this

<iframe width="560" height="315" src="https://www.youtube.com/embed/GivC8XqNeDk" title="YouTube video player" frameborder="0" allow="accelerometer; autoplay; clipboard-write; encrypted-media; gyroscope; picture-in-picture" allowfullscreen></iframe>    
**Aeroplume at the Grand Palais, Paris France**

I toyed with the idea of making a 1/10 scale drone blimp using flapping wing propulsion for a Fabacademy project - I think it would be cool to have it float around the IAAC space streaming video.

![Cajon Image, lap steel image]()  

I also enjoy music and play bass, ukulele and guitar.  I've built a few musical intruments.   I hope to use my skills from Fabacademy to build more experimental instruments like a Theremin (link).  I'd love to learn to use a sensor like the Kinect to create virtual instruments, maybe conencted to VR googles.   

![Surya Nagar Iowa House image](../images/about_images/surya-nagar-iowa.jpg)

I like to live my beliefs as a way to put theory to practice, and lived for 20 years in a an off grid straw bale house in Fairfield, Iowa. I producing my own electricity from solar and wind, capturing rainwater and using worms to process my sewage.  My buildings were made of local natural materials. I grew something for the table 365 days of the year in unheated greenhouses and in extensive outdoor gardens. .  

![Abundance Ecovillage image](../images/about_images/abundance-ecovillage-aerial.jpg)

I took what I learned from this and in 2001 I developed [Abundance Ecovillage](https://www.abundance-ecovillage.com/), to test the technologies I was using on a neigborhood scale.  The Ecovillage is powered by solar and wind power, provisioned with water by harvesting rainwater, treats sewage in a contructed wetland, and has edible landscaping and a farm integrated.  Like Fabcities, the goal is to produce what teh ecovillage consumes.   

I love living rooted in the abundant flows of natural systems, and work to create a society that flourishes connected to the rhythm of the flows of the sun, wind, rain, and the living earth.       

## My background

![Mass Solar House Image]()

I lived for the first 30 years of my life in Maine, where I come from a family of eccentric makers.  My dad built a passive solar house in 1957 from plans developed at MIT.   

![boat-uncle-elmer](../images/week01/uncle-elmer-dads-boat.jpg)

About the same time, my dad and my uncle built a 40 foot wooden schooner, the Uncle Elmer, in the back yard, cutting the trees themselves and hauling them to a water powered sawmill near Beverly, Massachussets.  

![Hampden telephone co](image)

I've been surrounded by tech all my life -  my family ran Hampden Telephone Company, a micro telephone utility company that provided telephone service to Etna (pop 300) and Hapmpden (pop 2000) Maine.   i

![wooden phone](image)

When I was a kid the phones were made of wood. We lived upstairs over human (mostly female) operators who sat by 24 hours a day to connect calls by hand. When I graduated from North Carolina State University with a degree in electrical engineering, I ran the company for about 10 years and and we became the first small phone comapny in Maine to convert to digital switching and fiber optic transmission lines. In 1983, I started the Express Telecommunications, the first alternative long distance telephone service company in Maine.    


## Previous work

![300 mw solar farm image]()  

Since the telephone days, I've been an entrepreneur, mostly in the areas of telecommunicatons, renewable energy, organic farming, ecovillage development and sustainability education.   Before I retired in August 2021, I was working on utility scale solar and wind projects in the US - the last solar project I worked will cover an area 1.6 kilometers wide by 4.8 kilometers long and has a capacity of 300 megawatts.  

From 1979 to 1996 I had a hyroelectric power development company called Elements Power Compmany.  I found old dams in Maine and put turbnes and generators on them and sold the power to local electric utility companies.  

![SL department logo image]()
From 2003-2019 I was an educator, first teaching permaculture in 3 week intensives and then as a professor at Maharishi International University University where I developed and headed a fully accredited 4 year bachelor of science program called [Sustainable Living](https://www.miu.edu/academic-departments/sustainable-living-department).


Here's a video of a project I did with students and the Klingit and Haida community of Angoon, a 5 hour ferry ride from Juneau.  

<iframe width="560" height="315" src="https://www.youtube.com/embed/-Pdx7hM_Bs8" title="YouTube video player" frameborder="0" allow="accelerometer; autoplay; clipboard-write; encrypted-media; gyroscope; picture-in-picture" allowfullscreen></iframe>  

In my work as a university professor, I taught and did projects in Bhutan, Mongolia, Taiwan, Hawaii, and Alaska. I hosted Lynpo Powdyel, the Minister of  Education from Bhutan for a two week stay at my university. I also hosted Karma Sonam, head of school construction in Bhutan, for a one month intensive in high performance building design and tour of high perfomance buildings.   

<iframe width="560" height="315" src="https://www.youtube.com/embed/luAKfFldhkY" title="YouTube video player" frameborder="0" allow="accelerometer; autoplay; clipboard-write; encrypted-media; gyroscope; picture-in-picture" allowfullscreen></iframe>  

I worked on the development of the award winning Sustainable Living Center building and designed the energy systems for it. Part of the philosphy of our program was to live what we taught - the Sustainable Living Center is built of earth block and whole round trees, is powered by wind, solar thermal and solar electric, has water supplied by rain catchment, and is surrounded by an edible landscape.   

![surya nagar farm images]()  

From 1996 - 2006 I founded and ran Surya Nagar Farms, a small vegetable production operation with branches in Iowa and Hawaii.  It was the most intellectually challenging work I've ever done and where I learned first hand that nature is not a machine and how fundamentally interconnected everything is on the living Earth.  

[Voyaging Canoe Image - Ho'okelea]()  

In Hawaii I learned about the world view of native Hawaiians and the fantastic maker adventure of the exploration and settling of Polyneasia by seafaring peoples.  They could re-create their whole material and spiritual culture from 30 plants they carried in technologically sophisticated voyaging canoes.  They could reliably navigate over multi-thousand mile sea routes using initimate knowledge of nature - the stars, the ocean, the sky and the flora and fauna.  Over a couple of thousand years, they explored and colonized Oceana, and area in the Pacific that is larger than the land mass of all the continets commbined.  Perhaps there are lessons here for contemporary aspiring fab cultures.

## My Publications

Flocities Podcast

Abundant Planet Radio

ASES Conference papers

Flocities Dissertation

Deep Sustainability paper
