# 1. Week 1: Principles and Practice, Project Management

![new friends at lunch first day](../images/week01/lunch-first-day.jpg)
**New friends at lunch first day - my classmates in Fabacademy BCN**
**Eduard form Barcelona, Dahnu from India, Angel from Peru, Adai from Barcelona  

#Overview of This Week
This week I worked on defining my final project idee, started exploring the documentation process, and built a first draft of my course website.

I spent some time finding sources of used materials around Barcelona, like scrap metal dealers, computer repair shops for things like 81650 batteries, el Encants for an amazing variety of stuff including fabrics, and a bike scrapyard/repair and rebuild cooperative.  

I began to network and meet students from other programs, was super excited about a workshop that students from Masters in Design for Emergent Futures (MDEF) did on biomaterials.   Lots opportunities at IAAC to learn by walking around.

First I'll address the assignments and assessments directly than below that I'll provide additional discussion and comment.   


# Project Mangement Assignment
  1. Build a personal site describing you and your final project.
  Upload it to the class archive.
  Work through a git tutorial.

  2. Explore and use website development tool(s)
    1. I chose to use markdown, chose Atom for markdown editing because I like the way it does a preview.   Tried Sublime also but decided to go with Atom.  

    2. Identify and utilize version control protocol(s)  

Have you answered these questions?  

  1. Made a website and described how you did it.   
  See [web site](https://fabacademy.org/2022/labs/barcelona/students/lonnie-gamble/) and discussion below.  

  2. Created a section about [yourself](/docs/assignemnts/week01.md) on that website.

  3. Added a page with a sketch and description of your [final project](/docs/projects/final-project) idea(s)

  4. Documented steps for creating your Git repository and adding files to it - See discussion below  

  5. Pushed to the class GitLab- See web site  

  6. Signed and uploaded [Student Agreement](/docs/assignments/student_agreement_lonnie_gamble)  

## Web Site Creation Discussion
I decided to use mkdocs as a static site generator and the material theme in mkdocs.   Still having some trouble getting the tree strutture right when placing images.   Eduard gave me the idea of moving the file around until it show up, then you know where the address you are using is pointing.   

## Git Tutorial Discussion
I got my gitlab installation working and am able to push changes from my computer to the online repository.  Had some help at critical times from classmate Eduard.  I followed the tutorial on the Fabacademy 2022 web site, looked online when I got stuck and when I couldn't find things on line I asked Eduard for help.  I got stuck on passwords and on creating the security key.  At one point I had to delete the installation and start over.  Second time was a charm and everything just started working.  It took about 8 hours over a couple of days to get it working.   

Once I got it working I spent 10 or 15 hours fleshing out a web site.   I am really enjoying the process now that I understand the flow and am getting over the markdown learning curve. I've made about 100 web sites and wikis using tools like WIX and Google Sites.  I am a fan of Don Norman (The Design of Everyday Things) and artifacts whose method of use is obvious just from inspection - like a pair of scissors.  So I rail a bit about systems that are command line based, where the only obvious affordance is a blinking cursor.  

For some time I've been wanting to put up a personal profession web site documenting past, present and future projects.   I'm using this process to develop content for that as well.   

After getting my installation working, I spent some time looking at GIT tutorials trying to understand what Git is doing and how it is doing it.

 I found these tutorials helpful:
  [Git - Explain like I am 5](https://hackernoon.com/understanding-git-fcffd87c15a3)

  [Git branching learning game](https://learngitbranching.js.org/)

  [CBA MIT project management archive](http://academy.cba.mit.edu/classes/project_management/archive.html)

  [Interactive graphic](http://www.ndpsoftware.com/git-cheatsheet.html#loc=index) of the structure of GIT from classmate Eduard

  [Image from the interactive git graphic]()

  Muchos gracias again to Eduard for discussion on Git!   

#More Details on My GIT Process (requested by Eduardo during evaluation)

Here's the process I used to get GIT running
 1.  Install GIT - I have a mac and Got is preinstalled
 2.  Added my GIT username and set my email using I using
        gitconfig --global user.name lonnie_gamble
        gitconfig --global user.email lonniegamble@yahoo.com
 3.  Checked to see if I had an SSH (secure shell) key

[SSH Key screenshot](../images/week02-images/screenshot-ssh-check.jpg)

  4.  Add the key to GIT on the web version - I had a hard time getting this to work so I had Eduard help me with this.  

  Next I created a folder for my personal repo in my documents folder using the graphical interface on my mac

  FInally, I cloned my student repository to my computer using this command:

   git clone git@git.fabacademy.org:fabacademy2022/labs/barcelona/students/lonnie-gamble


Now I am ready to update my repository with teh website I made using Atom and mkdocs. The process is:

   1.  Navigate in terminal to the folder on my computer with teh repository
   2. use git add . to add all changes - it doesn't add them yet, juts puts them in a que of changes to upload.  You can also use git add index.html file 1, file 2 to add individual files.  I found this useful when I made to many changes before doing a push and needed to add changes file by file to avoid going over the 10 MB file upload limit.  
   3. use git commit -m "comments on changes I am uploading".  STill haven't uploaded the changes yet.....
   4. use git push to upload the changes to the online repository

Below is a screenshot of the process:

[Screenshot of git push process](../images/week02-images/screenshot-git-push.jpg)


#Principles and Practices Assignment
  2. Sketch a final project idea - this is in the Final Project page of this website.

  Have you answered these questions:

 Sketched your final project idea/s
 Described briefly what it will do and who will use it  
Both covered [here](/docs/projects/final-project)

   ## Sketching my project  
   I am going to do a solar electric cooker, exploring ultra low energy cooking.  

   I have so many ideas for projects that have been itching to be born for years.  Here's a short list of what I considered before settling on ultra low energy solar electric cooking:

   1. Blimps and dirgibles
   2. Wind powered vehicles - fantasy of a transport economy constrained by wind.  Coriolis effect instead of sails.  
   3. Using Kinect and other body position sensors to build musical instruments that are played in the air like a super theremin, made visible with VR googles.
   4. Making other musical insturments and a bass amp for busking


![Image of biomaterials slide](/docs/images/week01/led-boomerang.jpg)

## Personal reflections on the first week
Wow, what a week!  Before I get started with everything I loved, let me get something off my chest.  The first day was a little rough for me - I was turned off by the Fablab BCN rules and regulations form that we were asked to review and sign.  No personal projects only fabacademy lesson projects!  No play!   No eating and drinking! There is so much community that gets built through conviviality at the table.  So many possibilities for penalties! Got turned down for using the laser cutter for a couple of projects this week.  Sigh.  Even with all the wonderful and engaging IAAC projects surrounding me, I wondered if I had come to the right place.   For me, the fab movement is an embrace of hacker culture and ethics as it evolved from the MRRC at MIT, the punk DIY movement, slow food, and other older influences.

But the second day got better - Joseph and Eduardo explained that yes we could do personal projects beyond lab assignments and we could eat -  on the roof, which has amazing access to sunlight and allows for cross fertilization with other programs, which I have already found to be very rich.   So I am staying. Perhaps the rules and regs could be re-written to give the structure needed to run Fablab within IAAC, but include explicit language that acknowledges support for hacker and DIY ethics and exploration.   Enough said, now on to what I loved.

! [image of lunch together the first day]()

###Projects I recently completed or are under development:

###The rich possibilities for cross fertilization of ideas at IAAC

###Relfections on Bits and Atoms  

###Entropy, Bits, and Atoms

### the command line and the design of everyday things






## Useful links

- [Markdown](https://en.wikipedia.org/wiki/Markdown)


## Gallery
