# 6. 3D Scanning and printing

![Adai scan](../Week05-3d-printing-scanning/adai-head-scan.jpeg)

This week we explored 3d printing and scanning. 

IAAC has a great group in 3d printing headed up by Eduardo.  He probably has about as much experience at printing with pastes and biological/natural materials as anyone.   He did his phd on 3d printing.  What a fanatastic resource for students in Fabacacdemy!  

![eduardo paste printing](../Week05-3d-printing-scanning/mashed-potato-3d-print.jpeg)

Eduardo did a fantastic demo showing how to print with mashed potatoes and xanthum gum.  He pointed out the web site Materiom - I met Alysia Garmulewicz, founder of the web site,  at the international fabcity conference in Paris a couple of years ago.  I am very interested in how we can make all the things we now make out of oil from plants. 

![mashed potato print](../images/Week05-3d-printing-scanning/mashed-potato-printing.jpeg)

My colleague Norm Olson at Iowa State University Biomass Energy Conversion center is developing a localized biorefinery model to do just that.  This could be a key element of fabcities.  

![Iowa Biorefinery](../images/Week05-3d-printing-scanning/iowa-biorefinery.jpg)



Eduardo helping a team print with ground-up mushrooms.

![mushroom print](../Week05-3d-printing-scanning/muschroom-print.jpeg)

Also loved seeing the 3d printed earthen building projects at IAAC.   I have built a few earth buildings and see this as a piece of the fabcities puzzle for many places around the globe. 

Saw another program doing presentations on Friday afternoon on biomaterials that looked fascinating.  It included a project making sex toys - what a great idea.

![sex toys](../Week05-3d-printing-scanning/anycubic-sex-toy.jpeg)

Here are some more images of biomaterial projects around IAAC:

![Biomaterials 2](../images/Week05-3d-printing-scanning/biomaterials.jpeg)


![biomaterials 1](../images/Week05-3d-printing-scanning/biomaterials2.jpeg)



![Biomaterials 3](../images/Week05-3d-printing-scanning/biomaterials3.jpeg)

![Biomaterials 4](../images/Week05-3d-printing-scanning/biomaterials-feathers-2.jpeg)

![Biomaterials scoby](../images/Week05-3d-printing-scanning/biomaterials-scoby.jpeg)


### _**April 26 2020**_
  Tips printing on the Ender from  Eduardo:

- Bottom and top thickness determined by the layer height and number of layers  - shoot for 1.2 mm

- Side thickness determined by nozzle width which is .4 and the number of passes for a wall  - shoot for 1.2 mm

- Set nozzle temp to 210 (default is 200)

- Angle for support is 40 deg 




### _**General Observations**_

It's not really 3-d printing, it's 2d printing in layers.  

FDM (Fused Deposition Modeling) 3d printing was invented in the early 1980's and its application was held back until the 2000's when the patents ran out.  Had an interesting interview for my Flocities podcast with Victor about intellectual property and free technology (free as in free speech) and see this pattern around closed IP stifling the generative abilities of humanity in many ways.   

FDM printers print with plastic.  Natural additives like algae and orange peels are sometimes used but only up to 20 or 30% - you are still basically printing plastic.  And the additives often degrade the capabilities of the plastic.

Here's the label on a roll of filament listing the appropriate nozzle temperature.

![filament roll label](../Week05-3d-printing-scanning/filament-label.jpeg)

White PLA filament is the standard filament at IAAC.    PLA is a biology based plastic but it is not biodegradable and can only break down under conditions not found in a normal compost pile.

Here are some of the other printer filaments we have at Fab Academy Barcelona.   

![filaments at IAAC - terracotta](../Week05-3d-printing-scanning/terrcotta-filament.jpeg)

![filaments at IAAC](../Week05-3d-printing-scanning/different-filaments.jpeg)

Food safety is another question with complex answers.

This week I am working on ticking off the assignments as soon as possible.  I still need to catch up on soldering and debugging my programmers.

On to the assignments....

## **Assignments**

From the web site:  

group assignment:     
     - test the design rules for your 3D printer(s)    
individual assignment:  
     - design and 3D print an object (small, few cm3, limited by printer time)  
        that could not be made subtractively  
     - 3D scan an object (and optionally print it)  



###  _**3D Scan an Object and Print It**_

I scanned myself and my son with the Kinect sensor using Skanect software.  I used the one of the classroom computers connected to a Kinect sensor with Skanect software.   

I had a couple of problems getting the sensor and software going.   The sensor requires a usb connection and a 220 volt power connection.   I saw the USB but didn't see the 220 connection.   Spent about 20 minutes trying to figure out why it wouldn't connect before I asked my instructor.  

The second problem is that the software opened up in a window that was not easy to find.  I spent 20 minutes trying to find out where the window was.  Turns out it was hooked to an external monitor/tv.  I couldn't figure out how to change the input on the tv and finally just disconnected the hdmi cable.  The window showed up!

From there out it was pretty straightforward to walk through the process of scanning with Skanect software.   

Someone spun me around on a turntable and someone else moved the kinect sensor up and down.

The results are below.

![lonnie being scanned](../Week05-3d-printing-scanning/lonnie-3d-scan.jpeg)

![Screenshot lonnie being scanned](../Week05-3d-printing-scanning/lonnie-skanect-screenshot.jpeg)

I saved an oby file and ran it through the Cura slicer for the Anycubic printer.   I took the file from the slicer and I printed it on the Anycubic delta printer.   I was pleasantly surprised that the Anycubic didn't need any bed leveling or set up beyond the default parameters that I set in Cura.  Took about an hour to print.   

![lonnie print](../Week05-3d-printing-scanning/anycubic-head-print.jpeg)

![lonnie print 2](../Week05-3d-printing-scanning/anycubic-head-close.jpeg)




### **Design and 3D Print a Small object**  

I designed and printed some fittings for bamboo, a vortex-in-a-bottle that demonstrates spontaneous self-organizing in non living systems,   

![various filaments](../Week05-3d-printing-scanning/different-filaments.jpeg)

### _**Fittings for bamboo**_

![bamboo fitting pic](../images/week02-images/Flange2.jpg)

I am interested in figuring out ways that bamboo can be more widely used as a construction material.   Bamboo splits easily when connected with common fasteners like bolts, screws and nails especially near the ends.   I'd like to use some bamboo I have as table legs so I designed and printed a flange that turns a piece of bamboo into a table leg.   

![Bamboo Fitting](../images/week02-images/bamboo-flange.jpg)

The design is parameteric (Fusion) so it can be easily changed to match the diameter of whatever bamboo I have on hand.  

![parametric model of bamboo flange](../images/week02-images/flange-parameters.jpg)

![Screenshot of Cura Slicer](../images/Week05-3d-printing-scanning/bamboo-flange-slicer.jpg)

It needed supports for the stubs that extend from the flange.   The stubs are for rubber bands to hold the flange tot he bamboo without fasteners.   Will do another design with the stubs at an angle so the print will not need supports.  

### _**Kite Fittings for Bamboo Kite Sticks**_

![Bamboo Kite](../images/Week05-3d-printing-scanning/bamboo-kite.jpeg)

I made fittings to connect bamboo kite sticks together, but I am not documenting it here.  Made the kite during wild card week and cut the material for it on the big laser cutter.  


       


### _**Vortex Demo Print**_

![tornado in a bottle](../images/Week05-3d-printing-scanning/vortex in a bottle.jpg)

I am interested in how order and structure develop in the universe.  One example of self organization around maximizing entropy is the spiral shaped vortex that is seen in nature in at many scales - water going down a drain, tornados, hurricanes, galaxies.  I printed a cnnector for two 2 liter soda bottles that makes a vortex form when water flows form one to the other.   It is sometimes sold as a toy called tornado in bottle.

![failed print](../Week05-3d-printing-scanning/3d-print-fail.jpeg)

My first attempt to print the nozzle on the Ender printer failed immediately - Eduardo diagnosed the problem as a nozzle that is too far from the bed.  He was able to adjust it by eye and feel - another way to level the bed is to use a sheet of paper as a spacer.  
Once the bed was properly leveled the print went flawlessly.  

![vortex-print-process](../Week05-3d-printing-scanning/tornado-3d-print.jpeg)

###  _**Soda Bottle Plant Watering Nozzle**_
This plant watering nozzle for 2 liter soda bottle looked interesting in that it would be hard to make with subtractive techniques. It has inside threads and overhangs.  Plus I needed one for my Learn (Just) Enough to Grow (Almost) Anything Project.  I have been propagating a wide variety of edible and useful plants on my terrace during fabacademy. 

![terrace photo](../images/Week05-3d-printing-scanning/barcelona-terrace-garden.jpeg)

![plant photo](../images/Week05-3d-printing-scanning/baercelona-plants.jpeg)

_**Partial species list:**_  banana, olive, orange, grapefruit, prickly pear cactus, rosemary, thyme, basil, lavendar, aloe, lettuce, arugula, grape, cassis, geranium, tomato.

Turns out the nozzle I printed had garden hose threads instead of soda bottle thread.  It works well on a garden hose and I could use one of those in my grow project.




![nozzle being printed](../images/Week05-3d-printing-scanning/anycubic-nozzle.jpeg)

![Garden Hose Nozzle](../images/Week05-3d-printing-scanning/nozzle-test.jpg)

![1st nozzle ](../images/Week05-3d-printing-scanning/funnel-on-bottle.jpg)


### _**Future Work**_

I'd like to do a series of parameteric designs for bamboo fittings, beginning with a set of fittings to make a sail for my skateboard using bamboo as the mast and boom.

![skatesailing](../images/week02-images/streetwindsurfing.jpg)

Parametric dome hub fittings would let me expand on what I did making dome hubs for struts made with straws and cane in the cutting assignment and apply the designs to full size domes and bamboo.


## **Group Project**

We printed an object that tests various parameters of a 3D Printer.  We got the test object from Thingaverse.  I downloaded and printed the first version of the object and worked with the rest of the team on evaluating parameters.   

![3d test object](../images/Week05-3d-printing-scanning/group-test-print1.jpeg)

![measuring test object](../images/Week05-3d-printing-scanning/group-test-print-calipers-4.jpeg)

The details are on the group project website:

[Link to the group project web site](https://fabacademy.org/2022/labs/barcelona/students/barcelona-group-assignment/assignments/week05/group-project/week05-3d-group-assignment/)

## Design Files  

The files below that are not hosted on my repository are too big to host there.  I've hosted them on my google docs site.   

For example: 

The .obj file for my son Eliot is 15.4 mb and is too big to host on my repository.

The gcode for the bamboo flange is 5.4 mb and too large to host on my repository

[Lonnie Head g-code](https://drive.google.com/file/d/1Nc5h2M-U9MBBfj323uuMlo89prapblH8/view?usp=sharing)  
[Lonnie's son Eliot kinect scan .obj](https://drive.google.com/file/d/1Daa1-dzEEW12zx-QEDxsq2jYjshNU_Tj/view?usp=sharing)  
[Bamboo Fitting # 1 fusion parametric file](docs/files/week-05-3d-print-scan/_Bamboo Flange.5abfca86-578f-423e-9171-c846e0e9873e.f3d)

[Bamboo Flange #1 stl file](../files/week-05-3d-print-scan/Bamboo Flange v6.stl)

[Bamboo Flange #2 stl file](docs/files/week-05-3d-print-scan/Bamboo Flange 33.6.stl)

[Nozzle STL](../files/week-05-3d-print-scan/watering nozzle.stl)  
[Vortex  STL](../files/week-05-3d-print-scan/vortex-tube.stl)  
