# 7. Electronics design

![ohms law cartoon](../images/week06-electronics-design/ohms-law-cartoon.jpg)

## **Assignments**

_**Individual Project:**_

- redraw an echo hello-world board,
add (at least) a button and LED (with current-limiting resistor)
- check the design rules, make it, and test that it can communicate
- extra credit: simulate its operation

_**Group Project:**_

- use the test equipment in your lab to observe the operation of a microcontroller circuit board  

## Overview of the Week


This week we explored PCB and circuit design using Kicad.   

Issues getting Kicad going:  

   1.  Had trouble loading the libraries, had to get help from Eduardo and Josep.  They downloaded ok but wouldn't load into the program.  Resolved.   

   2. I had a number of issues just getting started using the program.  Instead of wasting dozens of hours on tutorials as I have been doing so far in Fabacademy, I spent 15 minutes with Josef and got to the point I could load the program and work by myself.   As an example, you have to make Kicad full screen to find the 'place graphic lines or polygons' icon to put a border around separate parts of the circuit.  

   3. There are errors in the fab library - for example, the footprint of the SAMd11c controller is missing or doesn't work with version 5 of Kicad, so I was not able to move to the Pcbnew program to kay out the PCB. Monday March 7  - hoping to get this resolved today.





## **Individual Project** 


_**Kicad Workflow**_

Kicad has at least two separate modules:  PCB Schematic design and PCB layout.  The PCB Schematic program allows you to select components from the Kicad library (which must also be loaded) and to electrically connect them.  The schematic program allows you to connect things electrically but does not show how they will be physically laid out on the PCB.  

The PCB Layout program allows you to take a design developed in the PCB Schematic program and physically lay them out in preparation for creating a file that will e used to produce the board, in our case mill it on a micro cnc machine.

When you start a new project, Kicad launches the schematic design program and the PCB component layout program.  You start with the Schematic program and select components like a microcontroller, voltage regulators, capacitors, and resistors from a library.  We loaded a specail library for Fabacademy which has Kicad versions of the Fabacademy electronics inventory.  

The workflow I used is below:

_**Start with the PCB Schematic program**_

1. Create a design on paper 
2. Divide the design up into logical subparts - power, voltage dividers, microcontroller, 
3. Design each subassembly using the PCB Schematic program.  Select components from the library and connect them together.  
4. Use boxes to separate and label each subassembly.    
5. Use labels and tags to simplify connecting things.



_**Move on to the PCB Layout program**_

1. Import the schematic into the PCB layout program 
2. It imports as one hot mess - you need to pull it apart and start rearranging things so that wires don't cross and everything fits.   
3. Sometimes you need to go back to the schematic program in order rething how everything is conencted so that it can be laid out in the layout program.   There is some back and forth with the schematic and layout prgrams until everything fits.  
4. The programs have some error checking capabilities - they will sometimes tell you if something isn't connected, sometimes not.  
5. Once everything is laid out, you can export a file for use in MODS,which creates gcode instructions for the Roland SRM 20 mini mill. 

_**Use Inkscape to modify the file for MODS**_

6. Wait - it's not that easy. The file that the Kicad PCB Layout program exports cannot be used directly by MODS, the program that creates the gcode that the Roland SRM 20 mill uses to lill the board.  It needs to be modified by a graphics program like Inkscape and converted into SVG format for MODS.
7. Once you get the proper SVG file from Inkscape, import the file into MODS (browser based) and set the proper parameters so that MODS can generate the gcode needed by the SRM 20
8. Load the gcode file into the SRM 20, mount the copper faced board onto the bed of the SRM 20, and mill the board.  


After some pretty frustrating time getting Kicad going (see above), I made the schematic for the assignment.   I would like to add a thermistor if time allows. 

_**Circuit design in the PCB Schematic part of Kicad**_
![Sceenshot of KICAD schematic](../images/week06-electronics-design/kicad-schematic-assignment.jpg)

To make it easier to draw the schematic I broke the circuit down into 5 parts - the power smoothing capacitor networks, the voltage regulator, the button circuit, the LED, and the SAMD11C chip/jack.  

_**Here's what the layout program looked like when I was done laying out my board**_
![Board in kicad](../images/week06-electronics-design/board-in-kicad.jpeg)

_**Here's the board in Inkscape ready to export the file for MODS**_
![Board in inkscape](../images/week06-electronics-design/board-in-inkscape.jpeg)

_**Here's the MODS program after I imported the file from Inkscape**_
![Board in Mods](../images/week06-electronics-design/board-in-mods.jpeg)

_**Board After Milling**_
![Ckt Board](../images/week06-electronics-design/milled-board.jpg)

_**Stuffed Board - SamD11 with Button and LED**_
![stuffed ckt board](../images/week06-electronics-design/stuffed-board.jpg)


_**SUCCESS!**_

I loaded a blinky light sketch, changed the pin to correspond to the LED pin on my board and ran it.  One second on, one second off.   It works!

Click for [Blinky Led Video](../images/week08-embedded-programming/blinky-led-slow.mp4)

<video width="600" height="400" controls>
  <source src="../images/week08-embedded-programming/blinky-led-slow.mp4" type="video/mp4">
</video>



### _**Problems and Solutions This Week**_

I haven't been able to get programmers to work on my mac so I used a PC to load the bootloader and then I could use the arduino IDE to test my board.   It works sporadically on the mac - sometimes the mac recognizes the board and sometimes it doesn't.  The board is recognized reliably on PCs though - am working to get a pc to use for programming boards.  

I have a raspberry Pi 3b and tried to use the arduino IDE on the Pi for programming the SAMd11c boards.  Loaded the SAMd11c configuration file just fine, the Pi recognizes my board just fine, but it halts on uploading sketches.  It gives an error message that a program called bossac is needed and is incompatible with the raspberry pi raspian operating system.   

After much search I could not find a solution so tried loading various flavors of Ubuntu on the Pi.  They load but there were lots of performance issues including the mouse freezing. After about 16 hours of effort, I gave up on the pi for programming the SAMd11c boards.   It programs the arduino uno just fine.  The Arduino IDE error message file is appended to the bottom of this document.

I am looking for a PC to do these kinds of assignments and to run Linux.  

 



### **Group Project**

Use the test equipment in your lab to observe the operation of a microcontroller circuit board  

Group project web page for Electronics Design is [here](https://fabacademy.org/2022/labs/barcelona/students/barcelona-group-assignment/assignments/week06/electronics-design/)

## **Design Files**

[Kicad Schematic](../files/week-07-electronics-design/Electronics Design Assignment .kicad_sch)  

[Kicad Components PCB](../files/week-07-electronics-design/Electronics Design Assignment .kicad_pcb)  

[PNG for MODS ](../files/week-07-electronics-design/hello-assignment-board.png)  

## **Arduino IDE on Raspberry Pi Error Msg**

Spent more time trying to get the Arduino IDE to work on Raspberry Pi.  Below is an example of the error messages I got.  


##Arduino IDE on Raspberry Pi error message file

Arduino: 1.8.19 (Mac OS X), Board: "Generic D11C14A, Print & String use auto-promoted doubles only, config.h disabled, INTERNAL_USB_CALIBRATED_OSCILLATOR, 732.4Hz (16-bit), 4KB_BOOTLOADER, TWO_UART_NO_WIRE_NO_SPI, CDC_ONLY"

/Applications/Arduino.app/Contents/Java/arduino-builder -dump-prefs -logger=machine -hardware /Applications/Arduino.app/Contents/Java/hardware -hardware /Users/lonniemacbook2/Library/Arduino15/packages -tools /Applications/Arduino.app/Contents/Java/tools-builder -tools /Applications/Arduino.app/Contents/Java/hardware/tools/avr -tools /Users/lonniemacbook2/Library/Arduino15/packages -built-in-libraries /Applications/Arduino.app/Contents/Java/libraries -libraries /Users/lonniemacbook2/Documents/Arduino/libraries -fqbn=Fab_SAM_Arduino:samd:d11c14a:float=default,config=disabled,clock=internal_usb,timer=timer_732Hz,bootloader=4kb,serial=two_uart,usb=cdc -vid-pid=16D0_1557 -ide-version=10819 -build-path /var/folders/9z/0v7yvhys1kx9bqp7k1v978g40000gn/T/arduino_build_608533 -warnings=none -build-cache /var/folders/9z/0v7yvhys1kx9bqp7k1v978g40000gn/T/arduino_cache_499097 -prefs=build.warn_data_percentage=75 -prefs=runtime.tools.openocd.path=/Users/lonniemacbook2/Library/Arduino15/packages/arduino/tools/openocd/0.9.0-arduino -prefs=runtime.tools.openocd-0.9.0-arduino.path=/Users/lonniemacbook2/Library/Arduino15/packages/arduino/tools/openocd/0.9.0-arduino -prefs=runtime.tools.CMSIS-Atmel.path=/Users/lonniemacbook2/Library/Arduino15/packages/Fab_SAM_Arduino/tools/CMSIS-Atmel/1.0.0-mattairtech-2 -prefs=runtime.tools.CMSIS-Atmel-1.0.0-mattairtech-2.path=/Users/lonniemacbook2/Library/Arduino15/packages/Fab_SAM_Arduino/tools/CMSIS-Atmel/1.0.0-mattairtech-2 -prefs=runtime.tools.arduinoOTA.path=/Users/lonniemacbook2/Library/Arduino15/packages/arduino/tools/arduinoOTA/1.2.1 -prefs=runtime.tools.arduinoOTA-1.2.1.path=/Users/lonniemacbook2/Library/Arduino15/packages/arduino/tools/arduinoOTA/1.2.1 -prefs=runtime.tools.arm-none-eabi-gcc.path=/Users/lonniemacbook2/Library/Arduino15/packages/arduino/tools/arm-none-eabi-gcc/4.8.3-2014q1 -prefs=runtime.tools.arm-none-eabi-gcc-4.8.3-2014q1.path=/Users/lonniemacbook2/Library/Arduino15/packages/arduino/tools/arm-none-eabi-gcc/4.8.3-2014q1 -prefs=runtime.tools.bossac.path=/Users/lonniemacbook2/Library/Arduino15/packages/Fab_SAM_Arduino/tools/bossac/1.7.0-mattairtech-3 -prefs=runtime.tools.bossac-1.7.0-mattairtech-3.path=/Users/lonniemacbook2/Library/Arduino15/packages/Fab_SAM_Arduino/tools/bossac/1.7.0-mattairtech-3 -prefs=runtime.tools.CMSIS.path=/Users/lonniemacbook2/Library/Arduino15/packages/arduino/tools/CMSIS/4.5.0 -prefs=runtime.tools.CMSIS-4.5.0.path=/Users/lonniemacbook2/Library/Arduino15/packages/arduino/tools/CMSIS/4.5.0 -verbose /Users/lonniemacbook2/Documents/Arduino/sketch_mar21a/sketch_mar21a.ino
/Applications/Arduino.app/Contents/Java/arduino-builder -compile -logger=machine -hardware /Applications/Arduino.app/Contents/Java/hardware -hardware /Users/lonniemacbook2/Library/Arduino15/packages -tools /Applications/Arduino.app/Contents/Java/tools-builder -tools /Applications/Arduino.app/Contents/Java/hardware/tools/avr -tools /Users/lonniemacbook2/Library/Arduino15/packages -built-in-libraries /Applications/Arduino.app/Contents/Java/libraries -libraries /Users/lonniemacbook2/Documents/Arduino/libraries -fqbn=Fab_SAM_Arduino:samd:d11c14a:float=default,config=disabled,clock=internal_usb,timer=timer_732Hz,bootloader=4kb,serial=two_uart,usb=cdc -vid-pid=16D0_1557 -ide-version=10819 -build-path /var/folders/9z/0v7yvhys1kx9bqp7k1v978g40000gn/T/arduino_build_608533 -warnings=none -build-cache /var/folders/9z/0v7yvhys1kx9bqp7k1v978g40000gn/T/arduino_cache_499097 -prefs=build.warn_data_percentage=75 -prefs=runtime.tools.openocd.path=/Users/lonniemacbook2/Library/Arduino15/packages/arduino/tools/openocd/0.9.0-arduino -prefs=runtime.tools.openocd-0.9.0-arduino.path=/Users/lonniemacbook2/Library/Arduino15/packages/arduino/tools/openocd/0.9.0-arduino -prefs=runtime.tools.CMSIS-Atmel.path=/Users/lonniemacbook2/Library/Arduino15/packages/Fab_SAM_Arduino/tools/CMSIS-Atmel/1.0.0-mattairtech-2 -prefs=runtime.tools.CMSIS-Atmel-1.0.0-mattairtech-2.path=/Users/lonniemacbook2/Library/Arduino15/packages/Fab_SAM_Arduino/tools/CMSIS-Atmel/1.0.0-mattairtech-2 -prefs=runtime.tools.arduinoOTA.path=/Users/lonniemacbook2/Library/Arduino15/packages/arduino/tools/arduinoOTA/1.2.1 -prefs=runtime.tools.arduinoOTA-1.2.1.path=/Users/lonniemacbook2/Library/Arduino15/packages/arduino/tools/arduinoOTA/1.2.1 -prefs=runtime.tools.arm-none-eabi-gcc.path=/Users/lonniemacbook2/Library/Arduino15/packages/arduino/tools/arm-none-eabi-gcc/4.8.3-2014q1 -prefs=runtime.tools.arm-none-eabi-gcc-4.8.3-2014q1.path=/Users/lonniemacbook2/Library/Arduino15/packages/arduino/tools/arm-none-eabi-gcc/4.8.3-2014q1 -prefs=runtime.tools.bossac.path=/Users/lonniemacbook2/Library/Arduino15/packages/Fab_SAM_Arduino/tools/bossac/1.7.0-mattairtech-3 -prefs=runtime.tools.bossac-1.7.0-mattairtech-3.path=/Users/lonniemacbook2/Library/Arduino15/packages/Fab_SAM_Arduino/tools/bossac/1.7.0-mattairtech-3 -prefs=runtime.tools.CMSIS.path=/Users/lonniemacbook2/Library/Arduino15/packages/arduino/tools/CMSIS/4.5.0 -prefs=runtime.tools.CMSIS-4.5.0.path=/Users/lonniemacbook2/Library/Arduino15/packages/arduino/tools/CMSIS/4.5.0 -verbose /Users/lonniemacbook2/Documents/Arduino/sketch_mar21a/sketch_mar21a.ino
Using board 'd11c14a' from platform in folder: /Users/lonniemacbook2/Library/Arduino15/packages/Fab_SAM_Arduino/hardware/samd/1.6.18-alpha2
Using core 'arduino' from platform in folder: /Users/lonniemacbook2/Library/Arduino15/packages/Fab_SAM_Arduino/hardware/samd/1.6.18-alpha2
Detecting libraries used...
/Users/lonniemacbook2/Library/Arduino15/packages/arduino/tools/arm-none-eabi-gcc/4.8.3-2014q1/bin/arm-none-eabi-g++ -mcpu=cortex-m0plus -mthumb -c -g -Os -w -std=gnu++11 -ffunction-sections -fdata-sections -fsingle-precision-constant -Wdouble-promotion -fno-threadsafe-statics -nostdlib --param max-inline-insns-single=500 -fno-rtti -fno-exceptions -w -x c++ -E -CC -DF_CPU=48000000L -DARDUINO=10819 -DARDUINO_SAMD_ZERO -DARDUINO_ARCH_SAMD -I/Users/lonniemacbook2/Library/Arduino15/packages/arduino/tools/CMSIS/4.5.0/CMSIS/Include/ -I/Users/lonniemacbook2/Library/Arduino15/packages/Fab_SAM_Arduino/tools/CMSIS-Atmel/1.0.0-mattairtech-2/CMSIS/Device/ATMEL/ -DFLOAT_BOTH_DOUBLES_ONLY -DTIMER_732Hz -DCONFIG_H_DISABLED -DCLOCKCONFIG_INTERNAL_USB -DCDC_ONLY -DTWO_UART -DNO_WIRE -DNO_SPI -D__4KB_BOOTLOADER__ -D__SAMD11C14A__ -DUSB_VID=0x16D0 -DUSB_PID=0x1557 -DUSBCON "-DUSB_MANUFACTURER=\"Fab Foundation\"" "-DUSB_PRODUCT=\"D11C14A\"" -DARM_MATH_CM0PLUS -I/Users/lonniemacbook2/Library/Arduino15/packages/Fab_SAM_Arduino/hardware/samd/1.6.18-alpha2/cores/arduino -I/Users/lonniemacbook2/Library/Arduino15/packages/Fab_SAM_Arduino/hardware/samd/1.6.18-alpha2/variants/Generic_D11C14A /var/folders/9z/0v7yvhys1kx9bqp7k1v978g40000gn/T/arduino_build_608533/sketch/sketch_mar21a.ino.cpp -o /dev/null
Generating function prototypes...
/Users/lonniemacbook2/Library/Arduino15/packages/arduino/tools/arm-none-eabi-gcc/4.8.3-2014q1/bin/arm-none-eabi-g++ -mcpu=cortex-m0plus -mthumb -c -g -Os -w -std=gnu++11 -ffunction-sections -fdata-sections -fsingle-precision-constant -Wdouble-promotion -fno-threadsafe-statics -nostdlib --param max-inline-insns-single=500 -fno-rtti -fno-exceptions -w -x c++ -E -CC -DF_CPU=48000000L -DARDUINO=10819 -DARDUINO_SAMD_ZERO -DARDUINO_ARCH_SAMD -I/Users/lonniemacbook2/Library/Arduino15/packages/arduino/tools/CMSIS/4.5.0/CMSIS/Include/ -I/Users/lonniemacbook2/Library/Arduino15/packages/Fab_SAM_Arduino/tools/CMSIS-Atmel/1.0.0-mattairtech-2/CMSIS/Device/ATMEL/ -DFLOAT_BOTH_DOUBLES_ONLY -DTIMER_732Hz -DCONFIG_H_DISABLED -DCLOCKCONFIG_INTERNAL_USB -DCDC_ONLY -DTWO_UART -DNO_WIRE -DNO_SPI -D__4KB_BOOTLOADER__ -D__SAMD11C14A__ -DUSB_VID=0x16D0 -DUSB_PID=0x1557 -DUSBCON "-DUSB_MANUFACTURER=\"Fab Foundation\"" "-DUSB_PRODUCT=\"D11C14A\"" -DARM_MATH_CM0PLUS -I/Users/lonniemacbook2/Library/Arduino15/packages/Fab_SAM_Arduino/hardware/samd/1.6.18-alpha2/cores/arduino -I/Users/lonniemacbook2/Library/Arduino15/packages/Fab_SAM_Arduino/hardware/samd/1.6.18-alpha2/variants/Generic_D11C14A /var/folders/9z/0v7yvhys1kx9bqp7k1v978g40000gn/T/arduino_build_608533/sketch/sketch_mar21a.ino.cpp -o /var/folders/9z/0v7yvhys1kx9bqp7k1v978g40000gn/T/arduino_build_608533/preproc/ctags_target_for_gcc_minus_e.cpp
/Users/lonniemacbook2/Library/Arduino15/packages/builtin/tools/ctags/5.8-arduino11/ctags -u --language-force=c++ -f - --c++-kinds=svpf --fields=KSTtzns --line-directives /var/folders/9z/0v7yvhys1kx9bqp7k1v978g40000gn/T/arduino_build_608533/preproc/ctags_target_for_gcc_minus_e.cpp
Compiling sketch...
/Users/lonniemacbook2/Library/Arduino15/packages/arduino/tools/arm-none-eabi-gcc/4.8.3-2014q1/bin/arm-none-eabi-g++ -mcpu=cortex-m0plus -mthumb -c -g -Os -w -std=gnu++11 -ffunction-sections -fdata-sections -fsingle-precision-constant -Wdouble-promotion -fno-threadsafe-statics -nostdlib --param max-inline-insns-single=500 -fno-rtti -fno-exceptions -MMD -DF_CPU=48000000L -DARDUINO=10819 -DARDUINO_SAMD_ZERO -DARDUINO_ARCH_SAMD -I/Users/lonniemacbook2/Library/Arduino15/packages/arduino/tools/CMSIS/4.5.0/CMSIS/Include/ -I/Users/lonniemacbook2/Library/Arduino15/packages/Fab_SAM_Arduino/tools/CMSIS-Atmel/1.0.0-mattairtech-2/CMSIS/Device/ATMEL/ -DFLOAT_BOTH_DOUBLES_ONLY -DTIMER_732Hz -DCONFIG_H_DISABLED -DCLOCKCONFIG_INTERNAL_USB -DCDC_ONLY -DTWO_UART -DNO_WIRE -DNO_SPI -D__4KB_BOOTLOADER__ -D__SAMD11C14A__ -DUSB_VID=0x16D0 -DUSB_PID=0x1557 -DUSBCON "-DUSB_MANUFACTURER=\"Fab Foundation\"" "-DUSB_PRODUCT=\"D11C14A\"" -DARM_MATH_CM0PLUS -I/Users/lonniemacbook2/Library/Arduino15/packages/Fab_SAM_Arduino/hardware/samd/1.6.18-alpha2/cores/arduino -I/Users/lonniemacbook2/Library/Arduino15/packages/Fab_SAM_Arduino/hardware/samd/1.6.18-alpha2/variants/Generic_D11C14A /var/folders/9z/0v7yvhys1kx9bqp7k1v978g40000gn/T/arduino_build_608533/sketch/sketch_mar21a.ino.cpp -o /var/folders/9z/0v7yvhys1kx9bqp7k1v978g40000gn/T/arduino_build_608533/sketch/sketch_mar21a.ino.cpp.o
Compiling libraries...
Compiling core...
/Users/lonniemacbook2/Library/Arduino15/packages/arduino/tools/arm-none-eabi-gcc/4.8.3-2014q1/bin/arm-none-eabi-g++ -mcpu=cortex-m0plus -mthumb -c -g -Os -w -std=gnu++11 -ffunction-sections -fdata-sections -fsingle-precision-constant -Wdouble-promotion -fno-threadsafe-statics -nostdlib --param max-inline-insns-single=500 -fno-rtti -fno-exceptions -MMD -DF_CPU=48000000L -DARDUINO=10819 -DARDUINO_SAMD_ZERO -DARDUINO_ARCH_SAMD -I/Users/lonniemacbook2/Library/Arduino15/packages/arduino/tools/CMSIS/4.5.0/CMSIS/Include/ -I/Users/lonniemacbook2/Library/Arduino15/packages/Fab_SAM_Arduino/tools/CMSIS-Atmel/1.0.0-mattairtech-2/CMSIS/Device/ATMEL/ -DFLOAT_BOTH_DOUBLES_ONLY -DTIMER_732Hz -DCONFIG_H_DISABLED -DCLOCKCONFIG_INTERNAL_USB -DCDC_ONLY -DTWO_UART -DNO_WIRE -DNO_SPI -D__4KB_BOOTLOADER__ -D__SAMD11C14A__ -DUSB_VID=0x16D0 -DUSB_PID=0x1557 -DUSBCON "-DUSB_MANUFACTURER=\"Fab Foundation\"" "-DUSB_PRODUCT=\"D11C14A\"" -DARM_MATH_CM0PLUS -I/Users/lonniemacbook2/Library/Arduino15/packages/Fab_SAM_Arduino/hardware/samd/1.6.18-alpha2/cores/arduino -I/Users/lonniemacbook2/Library/Arduino15/packages/Fab_SAM_Arduino/hardware/samd/1.6.18-alpha2/variants/Generic_D11C14A /Users/lonniemacbook2/Library/Arduino15/packages/Fab_SAM_Arduino/hardware/samd/1.6.18-alpha2/variants/Generic_D11C14A/variant.cpp -o /var/folders/9z/0v7yvhys1kx9bqp7k1v978g40000gn/T/arduino_build_608533/core/variant.cpp.o
/Users/lonniemacbook2/Library/Arduino15/packages/arduino/tools/arm-none-eabi-gcc/4.8.3-2014q1/bin/arm-none-eabi-gcc -c -g -x assembler-with-cpp -MMD -DF_CPU=48000000L -DARDUINO=10819 -DARDUINO_SAMD_ZERO -DARDUINO_ARCH_SAMD -I/Users/lonniemacbook2/Library/Arduino15/packages/arduino/tools/CMSIS/4.5.0/CMSIS/Include/ -I/Users/lonniemacbook2/Library/Arduino15/packages/Fab_SAM_Arduino/tools/CMSIS-Atmel/1.0.0-mattairtech-2/CMSIS/Device/ATMEL/ -DFLOAT_BOTH_DOUBLES_ONLY -DTIMER_732Hz -DCONFIG_H_DISABLED -DCLOCKCONFIG_INTERNAL_USB -DCDC_ONLY -DTWO_UART -DNO_WIRE -DNO_SPI -D__4KB_BOOTLOADER__ -D__SAMD11C14A__ -DUSB_VID=0x16D0 -DUSB_PID=0x1557 -DUSBCON "-DUSB_MANUFACTURER=\"Fab Foundation\"" "-DUSB_PRODUCT=\"D11C14A\"" -DARM_MATH_CM0PLUS -I/Users/lonniemacbook2/Library/Arduino15/packages/Fab_SAM_Arduino/hardware/samd/1.6.18-alpha2/cores/arduino -I/Users/lonniemacbook2/Library/Arduino15/packages/Fab_SAM_Arduino/hardware/samd/1.6.18-alpha2/variants/Generic_D11C14A /Users/lonniemacbook2/Library/Arduino15/packages/Fab_SAM_Arduino/hardware/samd/1.6.18-alpha2/cores/arduino/pulse_asm.S -o /var/folders/9z/0v7yvhys1kx9bqp7k1v978g40000gn/T/arduino_build_608533/core/pulse_asm.S.o
/Users/lonniemacbook2/Library/Arduino15/packages/arduino/tools/arm-none-eabi-gcc/4.8.3-2014q1/bin/arm-none-eabi-gcc -mcpu=cortex-m0plus -mthumb -c -g -Os -w -std=gnu11 -ffunction-sections -fdata-sections -fsingle-precision-constant -Wdouble-promotion -nostdlib --param max-inline-insns-single=500 -MMD -DF_CPU=48000000L -DARDUINO=10819 -DARDUINO_SAMD_ZERO -DARDUINO_ARCH_SAMD -I/Users/lonniemacbook2/Library/Arduino15/packages/arduino/tools/CMSIS/4.5.0/CMSIS/Include/ -I/Users/lonniemacbook2/Library/Arduino15/packages/Fab_SAM_Arduino/tools/CMSIS-Atmel/1.0.0-mattairtech-2/CMSIS/Device/ATMEL/ -DFLOAT_BOTH_DOUBLES_ONLY -DTIMER_732Hz -DCONFIG_H_DISABLED -DCLOCKCONFIG_INTERNAL_USB -DCDC_ONLY -DTWO_UART -DNO_WIRE -DNO_SPI -D__4KB_BOOTLOADER__ -D__SAMD11C14A__ -DUSB_VID=0x16D0 -DUSB_PID=0x1557 -DUSBCON "-DUSB_MANUFACTURER=\"Fab Foundation\"" "-DUSB_PRODUCT=\"D11C14A\"" -DARM_MATH_CM0PLUS -I/Users/lonniemacbook2/Library/Arduino15/packages/Fab_SAM_Arduino/hardware/samd/1.6.18-alpha2/cores/arduino -I/Users/lonniemacbook2/Library/Arduino15/packages/Fab_SAM_Arduino/hardware/samd/1.6.18-alpha2/variants/Generic_D11C14A /Users/lonniemacbook2/Library/Arduino15/packages/Fab_SAM_Arduino/hardware/samd/1.6.18-alpha2/cores/arduino/cortex_handlers.c -o /var/folders/9z/0v7yvhys1kx9bqp7k1v978g40000gn/T/arduino_build_608533/core/cortex_handlers.c.o
/Users/lonniemacbook2/Library/Arduino15/packages/arduino/tools/arm-none-eabi-gcc/4.8.3-2014q1/bin/arm-none-eabi-gcc -mcpu=cortex-m0plus -mthumb -c -g -Os -w -std=gnu11 -ffunction-sections -fdata-sections -fsingle-precision-constant -Wdouble-promotion -nostdlib --param max-inline-insns-single=500 -MMD -DF_CPU=48000000L -DARDUINO=10819 -DARDUINO_SAMD_ZERO -DARDUINO_ARCH_SAMD -I/Users/lonniemacbook2/Library/Arduino15/packages/arduino/tools/CMSIS/4.5.0/CMSIS/Include/ -I/Users/lonniemacbook2/Library/Arduino15/packages/Fab_SAM_Arduino/tools/CMSIS-Atmel/1.0.0-mattairtech-2/CMSIS/Device/ATMEL/ -DFLOAT_BOTH_DOUBLES_ONLY -DTIMER_732Hz -DCONFIG_H_DISABLED -DCLOCKCONFIG_INTERNAL_USB -DCDC_ONLY -DTWO_UART -DNO_WIRE -DNO_SPI -D__4KB_BOOTLOADER__ -D__SAMD11C14A__ -DUSB_VID=0x16D0 -DUSB_PID=0x1557 -DUSBCON "-DUSB_MANUFACTURER=\"Fab Foundation\"" "-DUSB_PRODUCT=\"D11C14A\"" -DARM_MATH_CM0PLUS -I/Users/lonniemacbook2/Library/Arduino15/packages/Fab_SAM_Arduino/hardware/samd/1.6.18-alpha2/cores/arduino -I/Users/lonniemacbook2/Library/Arduino15/packages/Fab_SAM_Arduino/hardware/samd/1.6.18-alpha2/variants/Generic_D11C14A /Users/lonniemacbook2/Library/Arduino15/packages/Fab_SAM_Arduino/hardware/samd/1.6.18-alpha2/cores/arduino/WInterrupts.c -o /var/folders/9z/0v7yvhys1kx9bqp7k1v978g40000gn/T/arduino_build_608533/core/WInterrupts.c.o
/Users/lonniemacbook2/Library/Arduino15/packages/arduino/tools/arm-none-eabi-gcc/4.8.3-2014q1/bin/arm-none-eabi-gcc -mcpu=cortex-m0plus -mthumb -c -g -Os -w -std=gnu11 -ffunction-sections -fdata-sections -fsingle-precision-constant -Wdouble-promotion -nostdlib --param max-inline-insns-single=500 -MMD -DF_CPU=48000000L -DARDUINO=10819 -DARDUINO_SAMD_ZERO -DARDUINO_ARCH_SAMD -I/Users/lonniemacbook2/Library/Arduino15/packages/arduino/tools/CMSIS/4.5.0/CMSIS/Include/ -I/Users/lonniemacbook2/Library/Arduino15/packages/Fab_SAM_Arduino/tools/CMSIS-Atmel/1.0.0-mattairtech-2/CMSIS/Device/ATMEL/ -DFLOAT_BOTH_DOUBLES_ONLY -DTIMER_732Hz -DCONFIG_H_DISABLED -DCLOCKCONFIG_INTERNAL_USB -DCDC_ONLY -DTWO_UART -DNO_WIRE -DNO_SPI -D__4KB_BOOTLOADER__ -D__SAMD11C14A__ -DUSB_VID=0x16D0 -DUSB_PID=0x1557 -DUSBCON "-DUSB_MANUFACTURER=\"Fab Foundation\"" "-DUSB_PRODUCT=\"D11C14A\"" -DARM_MATH_CM0PLUS -I/Users/lonniemacbook2/Library/Arduino15/packages/Fab_SAM_Arduino/hardware/samd/1.6.18-alpha2/cores/arduino -I/Users/lonniemacbook2/Library/Arduino15/packages/Fab_SAM_Arduino/hardware/samd/1.6.18-alpha2/variants/Generic_D11C14A /Users/lonniemacbook2/Library/Arduino15/packages/Fab_SAM_Arduino/hardware/samd/1.6.18-alpha2/cores/arduino/delay.c -o /var/folders/9z/0v7yvhys1kx9bqp7k1v978g40000gn/T/arduino_build_608533/core/delay.c.o
/Users/lonniemacbook2/Library/Arduino15/packages/arduino/tools/arm-none-eabi-gcc/4.8.3-2014q1/bin/arm-none-eabi-gcc -mcpu=cortex-m0plus -mthumb -c -g -Os -w -std=gnu11 -ffunction-sections -fdata-sections -fsingle-precision-constant -Wdouble-promotion -nostdlib --param max-inline-insns-single=500 -MMD -DF_CPU=48000000L -DARDUINO=10819 -DARDUINO_SAMD_ZERO -DARDUINO_ARCH_SAMD -I/Users/lonniemacbook2/Library/Arduino15/packages/arduino/tools/CMSIS/4.5.0/CMSIS/Include/ -I/Users/lonniemacbook2/Library/Arduino15/packages/Fab_SAM_Arduino/tools/CMSIS-Atmel/1.0.0-mattairtech-2/CMSIS/Device/ATMEL/ -DFLOAT_BOTH_DOUBLES_ONLY -DTIMER_732Hz -DCONFIG_H_DISABLED -DCLOCKCONFIG_INTERNAL_USB -DCDC_ONLY -DTWO_UART -DNO_WIRE -DNO_SPI -D__4KB_BOOTLOADER__ -D__SAMD11C14A__ -DUSB_VID=0x16D0 -DUSB_PID=0x1557 -DUSBCON "-DUSB_MANUFACTURER=\"Fab Foundation\"" "-DUSB_PRODUCT=\"D11C14A\"" -DARM_MATH_CM0PLUS -I/Users/lonniemacbook2/Library/Arduino15/packages/Fab_SAM_Arduino/hardware/samd/1.6.18-alpha2/cores/arduino -I/Users/lonniemacbook2/Library/Arduino15/packages/Fab_SAM_Arduino/hardware/samd/1.6.18-alpha2/variants/Generic_D11C14A /Users/lonniemacbook2/Library/Arduino15/packages/Fab_SAM_Arduino/hardware/samd/1.6.18-alpha2/cores/arduino/hooks.c -o /var/folders/9z/0v7yvhys1kx9bqp7k1v978g40000gn/T/arduino_build_608533/core/hooks.c.o
/Users/lonniemacbook2/Library/Arduino15/packages/arduino/tools/arm-none-eabi-gcc/4.8.3-2014q1/bin/arm-none-eabi-gcc -mcpu=cortex-m0plus -mthumb -c -g -Os -w -std=gnu11 -ffunction-sections -fdata-sections -fsingle-precision-constant -Wdouble-promotion -nostdlib --param max-inline-insns-single=500 -MMD -DF_CPU=48000000L -DARDUINO=10819 -DARDUINO_SAMD_ZERO -DARDUINO_ARCH_SAMD -I/Users/lonniemacbook2/Library/Arduino15/packages/arduino/tools/CMSIS/4.5.0/CMSIS/Include/ -I/Users/lonniemacbook2/Library/Arduino15/packages/Fab_SAM_Arduino/tools/CMSIS-Atmel/1.0.0-mattairtech-2/CMSIS/Device/ATMEL/ -DFLOAT_BOTH_DOUBLES_ONLY -DTIMER_732Hz -DCONFIG_H_DISABLED -DCLOCKCONFIG_INTERNAL_USB -DCDC_ONLY -DTWO_UART -DNO_WIRE -DNO_SPI -D__4KB_BOOTLOADER__ -D__SAMD11C14A__ -DUSB_VID=0x16D0 -DUSB_PID=0x1557 -DUSBCON "-DUSB_MANUFACTURER=\"Fab Foundation\"" "-DUSB_PRODUCT=\"D11C14A\"" -DARM_MATH_CM0PLUS -I/Users/lonniemacbook2/Library/Arduino15/packages/Fab_SAM_Arduino/hardware/samd/1.6.18-alpha2/cores/arduino -I/Users/lonniemacbook2/Library/Arduino15/packages/Fab_SAM_Arduino/hardware/samd/1.6.18-alpha2/variants/Generic_D11C14A /Users/lonniemacbook2/Library/Arduino15/packages/Fab_SAM_Arduino/hardware/samd/1.6.18-alpha2/cores/arduino/itoa.c -o /var/folders/9z/0v7yvhys1kx9bqp7k1v978g40000gn/T/arduino_build_608533/core/itoa.c.o
/Users/lonniemacbook2/Library/Arduino15/packages/arduino/tools/arm-none-eabi-gcc/4.8.3-2014q1/bin/arm-none-eabi-gcc -mcpu=cortex-m0plus -mthumb -c -g -Os -w -std=gnu11 -ffunction-sections -fdata-sections -fsingle-precision-constant -Wdouble-promotion -nostdlib --param max-inline-insns-single=500 -MMD -DF_CPU=48000000L -DARDUINO=10819 -DARDUINO_SAMD_ZERO -DARDUINO_ARCH_SAMD -I/Users/lonniemacbook2/Library/Arduino15/packages/arduino/tools/CMSIS/4.5.0/CMSIS/Include/ -I/Users/lonniemacbook2/Library/Arduino15/packages/Fab_SAM_Arduino/tools/CMSIS-Atmel/1.0.0-mattairtech-2/CMSIS/Device/ATMEL/ -DFLOAT_BOTH_DOUBLES_ONLY -DTIMER_732Hz -DCONFIG_H_DISABLED -DCLOCKCONFIG_INTERN
