# 10. Molding and casting

_**This week's molding and casting experiment**_
![bagels](../images/week07-cnc/bagels-apr3.jpg)


## **Assignments**

_**Group Assignment**_

      review the safety data sheets for each of your molding and casting materials,
         then make and compare test casts with each of them
         [Link to Group Assignment](https://fabacademy.org/2022/labs/barcelona/students/barcelona-group-assignment/assignments/week09-molding/molding-and-casting/)

_**Individual Assignment**_

      design a mold around the stock and tooling that you'll be using,
         mill it (rough cut + (at least) three-axis finish cut),
         and use it to cast parts

         Evaluated on:
             Linked to the group assignment page and reflected on your individual page what you have learned
             Reviewed the safety data sheets for each of your molding and casting materials, then made and compared test casts with each of them
             Documented how you designed your 3D mould and created your rough and finish toolpaths for machining, including machine settings
             Shown how you made your mould and cast the parts
             Described problems and how you fixed them
             #Included your design files and ‘hero shot’ of the mould and the final object



![Pic of Sailing the Prairie](../images/week09-molding-casting/Brian-Sail-Train-Praire.jpg)

_**"If you want to build a ship, don't drum up the men to gather wood, divide the work and give orders. Instead, teach them to yearn for the vast and endless sea.”**_
_**Antoine St Exupery**_


_**Calcots Field Trip**_
![calcots](../images/week09-molding-casting/calcots.jpeg)


# **Reflections**
This week we learned about molding and casting, a complete maker universe unto itself.   A comment during recitation on combining 50's style machines for making with digital fabrication made me think of the [Dave Gingery](https://www.gingerybookstore.com/) series of maker material and [Lindsay Publications](https://www.youroldtimebookstore.com/).  He shows how to make an entire machine shop from scratch, starting with the aluminum and steel castings and going up from there.  

 I can now make a lot of things from plywood, but not the plywood itself.  I started wondering where does all this plywood come from in a fabcity?  Valduara makes flat plywood size panels by laminating together 25 mm thick boards they mill from the forest there.      
 
Which brought up the question: What are the primary production/raw material flows in a fabcity?  What could that look like? [Biorefineries](https://www.youtube.com/watch?v=Js6VZIsvYpI&t=54s) is one answer.  

_**Iowa Biorefinery - Making all the precursors for the chemicals needed by a modern economy chemicals out of plants instead of oil**_

![Iowa Biorefinery](../images/Week05-3d-printing-scanning/iowa-biorefinery.jpg)

Because the cellulose feedstock for a biorefinery is bulky, it is not easy to ship to just a few regional/national biorefineries - Iowa State University's Biomass Energy Conversion lab argues that birorefineries are inherently local and distributed.   And biomaterials made from chemicals feedstocks are 10 to 100 times more valuable than fuels made from biomass. 

[Link to ISU biorefinery presentation](https://www.slideshare.net/lonniegamble/norm-olson-beconpp-2-2013-v2)

ISU has identified 7 processes from which most chemicals can be made:

1. Pyrolysis 
2. Gasification
3. Anaerobic Digestion
4. Fermentation
5. Supercritical Fluids 
6. Alcohol Production 
7. Biodiesel production


   

![chair protector](../images/week09-molding-casting/protector for floor.jpeg)

Needed a floor protector for my house, laser cut one out of heavy scrap cardboard instead of buying one. Local production!


# _Overview_

![cnc vs 3d vs molding](../images/week09-molding-casting/cnc-vs-3d-vs-molding.jpeg)

This is a great graphic from Eduardo's presentation that shows the cost per part of different digital fabrication techniques.  According to this graph, for 100's of parts, 3d printing is cheaper, for 100's to 1000's cnc is cheaper, for high 100's to 1000's, molding and casting is cheaper.  







![finished mold and cast knob](../images/week09-molding-casting/Finished knob and mold.jpg)
**Hero Shot - Finished guitar volume knob and mold**


## **Molding and Casting process**

I decided to make a knob for a Carlos Santana electric ukulele I am designing (hard object, soft material for mold, hard material to make the mold).


![eduardo-vacuum](../images/week09-molding-casting/eduardo-vacuum-mold.jpeg)
_**Eduardo demonstrates the molding and casting process including using a vacuum pump to minimize bubbles.  Bubbles are the bane of casting with many of the materials we use in Fabacademy.**_  

### **Work flow for cutting molds with the Roland mill**

![screenshot modela](../images/week09-molding-casting/modela-roland.jpeg)

Here is the process I used to make my mold and cast my object.  I used the Roland SRM 20 mill.

1) Design the object in 3D using Rhino.

2) Export an STL file

3) Import the STL into the Roland Modella software

4) Set material, bit and cutting parameters
   - The material I used is molding wax.  
   - You need to do separate files for the rough 2.5 d cut and the finish 3d cut.  The rough cut is 2.5 d with what look a bit like contour lines. It takes a lot of material away.   The final cut is full 3-d milling, and takes just enough material away to turn the countour levels of the rough cut into smooth gradients.  
   - I used the same 3.175 mm bit flat end 4 flute bit for both rough and finish cuts  
   
5) Export gcode and upload it to Fabacademy Cloud

6) Download gcode from Fabacademy Cloud into computer connected to the Roland SRM 20

7) Set the xyz origin.   Set the XY origin at the lower left corner, the Z origin is at teh surface of the wax.   Sometimes the wax needs to be smoothed with a leve cut across the XY plane at teh surface.   The wax was fixed to the bed of the mill with double-sided tape.

8) Load the gcode into the Vpanel software for the SRM 20

9) Execute the gcode for rough cut, then execute the gcode for finish cut.   


### _**Milling the positive mold using modeling wax**_

The final object I am making is a hard object.   So I need a soft mold to pour the final object into.   To make the soft mold, I need to make a hard mold which I milled out of wax.  

Milling the wax mold requires two passes - the first pas is a 2.5 d cut, like a topo map. The second pass is a full 3d cut that smooths 2.5 d first cut.  

The process is detailed in the photo and videos below


_**Rhino File**_ 
![rhino file wax mold](../images/week09-molding-casting/wax-mold.jpg)

_
![milling my mold](../images/week09-molding-casting/milling-mold.jpeg)

_**2.5 d rough cut video**_ 
[Milling my mold video - rough cut video](../images/week09-molding-casting/milling-wax.mp4)

_**3d final cut video**_
[Milling my mold - final cut video](../images/week09-molding-casting/millng-mold-finish.mp4)

_**Molds ready for filling**_
![molds-ready-for pouring](../images/week09-molding-casting/molds-ready-for-filling.jpeg)


### _**Making the negative image mold from silicone**_

_**Mixing the casting material for the negative image mold**_
![adai mixing](../images/week09-molding-casting/adai-mixing.jpeg)

![lonnie pouring](../images/week09-molding-casting/IMG_5185.JPG)

_**It is important for the casting material to be well mixed or it may not set properly**_
![adai drill](../images/week09-molding-casting/adai-drill.jpeg)

_**Here's a video of Adai pouring the mixed casting material**_

[adai-pouring-video](../images/week09-molding-casting/adai-pouring-into-mold.mp4)

It's important to pour the casting material to minimize bubble formation

**_Here's what flexible negative mold look like_**
![molds-removed](../images/week09-molding-casting/molds.jpeg)

We used an oven set at 40 degrees C to hasten the curing of the silicone.  

### **Casting the positive image into the mold from the previous step.**   

![mixing casting material](../images/week09-molding-casting/adai-mixing-hand.jpeg)

We poured a thin stream from on high into a corner and let the mold fill gradually to avoid bubbles.  

![cast parts](../images/week09-molding-casting/molds-after-filling.jpeg)



_**The Final Part!**_

_**Success!**_
![final piece](../images/week09-molding-casting/Finished knob and mold.jpg)


### _**Other Projects**_
I am working on a mold for making carob bars for my son with the image of his dog on it.   


## Group Project

Group project is linked [here](https://fabacademy.org/2022/labs/barcelona/students/barcelona-group-assignment/assignments/week09-molding/molding-and-casting/)


## Files

This file is 3.9 mb, so I hosted it off site
[Guitar volume knob rhino file](https://drive.google.com/file/d/1Ch7c4DTI2ax3qLP-wFvVN2P2AAiObUuD/view?usp=sharing)

[Guitar Knob STL file](../files/week-09-molding-and-casting/Carlos Uke Knob.stl)

This file is too big to host on my repository

[Carob Bar Mold Rhino file](https://drive.google.com/file/d/1j7spSSdG9mKTgOuy65Nz1A3sfQEkjpff/view?usp=sharing)

