# 12. Machine design

_**This week's molding and casting project**_
![pizza](../images/final-project/bread-pizza.jpg)


## Assignment

_**Group Assignment**_

Design a machine that includes 
- mechanism+actuation+automation  
- build the mechanical parts and operate it manually  
- document the group project and your individual contribution 

_**Individual assignment**_

Document your individual contribution

## Group Project - Paper Marbling Machine

_**Our initial ideas**_ 

Our cohort sat together and brainstormed ideas for machines 
![group ideas](../images/week11-machine-design/group-project-ideas.jpeg)

My group decided to build a paper marbling machine.  

![paper marbeling](../images/week11-machine-design/marbled-paper.jpeg)



Paper marbling is a process for depositing ink on the surface of a liquid and then transferring the ink pattern that develops on the water to a piece of paper.  Ximena has experience doing paper marbling by hand.

![ximena](../images/week11-machine-design/xime-close-up.jpeg)

Here's a list of the parts we used, all in stock at IAAC. We had to by a pan at a local chinese shop.

List of Parts

- 5 V Slot Bars 40x20x1
- 3 Neema 17 Motors
- 1 Sevo 3001 HB
- Arduino
- CNC Shield
- 2 Drivers DRV8825
- 9 Plastic Coated Bearings
- 3 Belts
- 3 Pulleys HP2 GT2 20T
- 1 Sky Top Power STP 3005
- Power Supply 12V. 2A.


Our group project documentation including video is [here](https://fabacademy.org/2022/labs/barcelona/students/barcelona-group-assignment/assignments/week11-machines/marbeled-paper-machine-team/)


## **My Contribution**

I designed and fabricated legs and combs for the machine.  I also worked with Adai and Ximena on constructing, modifying, debugging and operating the machine.  


_**Adai and Lonnie Troubleshooting**_
![Adai and lonnie troubleshooting](../images/week11-machine-design/adai-lonnie-troubleshooting.jpeg)

I set up a cellphone on a stand and took videos of the process for our demo day video.

_**Cellphone video stand over machine**_
![cell phpne video stand](../images/week11-machine-design/xime-adai-inking-pan-2.jpeg)


I advocated strongly for keeping the wiring neat and tidy.  We had some issues relating to limit switches that were caused in part from messy wiring.

_**Cleaning Up Wiring**_
![adai tidying wire](../images/week11-machine-design/adai-wires-neat.jpeg)


I designed and fabricated two parts of the machine.

1. Legs - We used a machine frame that was lying around the lab.  It didn't have any legs.  We initially just propped up the corners with pieces of scrap wood.

![machine without legs](../images/week11-machine-design/machine-no-legs.jpeg)


I used Rhino to design the legs and cut them on the laser cutter.  I made the legs out of MDF because there were a lot of scraps lying around the laser room.

_**Note leg**_
![close-up-adai-legs](../images/week11-machine-design/close-up-adai-legs.jpeg)


I made two versions, a 2d version that wobbled in one direction and a 3d version that was more stable.

![2d and 3d legs](../images/week11-machine-design/machine-legs-2d-3d.jpg)


2. Combs - I designed and made combs for dragging across the surface of the water and creating patterns for the print. We wanted to experiment with several combs of varying dimensions and numbers of teeth.  I used Rhino and Grasshopper to make a parametric design.  I could not have done the parametric design without Eduardo.   This allowed us to easily make combs of varying widths, teeth spacing, and number of teeth. 

The work with Grasshopper was done on Eduardo's machine.  I don't have any screenshots,  but I do have files from that work (file in Design Files section below). 

Grasshopper, like MODS, is a visual programming language environment.   Programs are created by dragging components onto a canvas and then connecting them. 

_**Here's what Grasshopper looks like for the parametric comb design.**_
![grasshopper](../images/week11-machine-design/Grasshopper-for-combs.jpg)

The combs are made of white acrylic plastic and cut on the laser cutter.  Had a little bit of trouble with the thin teeth breaking, solved it by just handling them more gently.   

![combs1](../images/week11-machine-design/combs-1.jpeg)
![combs2](../images/week11-machine-design/combs-2.jpeg)



## **Design Files**

The Grasshopper comb parametric design file is 8 mb so it is hosted off the repository
[Grasshopper comb parametric file](https://drive.google.com/file/d/1MbGHyTzzY3_UjUpNrQssKJJkuA35oEQu/view?usp=sharing)

[Marbeling Combs DXF](../files/week-11-machine-design/marbeling combs.dxf)

[Machine legs ver 1 DXF](../files/week-11-machine-design/Marble legs.dxf)

[Machine legs ver 2 DXF](../files/week-11-machine-design/Legs for marbel machine VER 2.dxf)

  

