# 16. Wildcard Week 

![bio electricity](../images/week16-wildcard/bio-battery.jpeg)

When I went to get my bike from the rack on Thursday I caught two faculty members at IAAC experimenting with bio-electricity in the back outdoor experiment area.  They explained to me that there are microbes in the soil around the roots of plants, and under the right conditions they can generate small amount of voltage and current (millivolts and milli or micro amps).  

They used two carbon fiber cloth electrodes connected to a bolt that led out through the side of the container, one near the top of the container and one near the bottom.  They hope to generate enough electricity to run sensors and microcontrollers.  

I have experimented with natural sources of voltage and current, like the earth's electric field, listening to the sounds of natural electrical phenomena on the earth, batteries made from lemons and potatoes and two different electrodes, the thermoelectric effect and the piezoelectric effect.   

There are thousands of flows of energy all around us all the time, and I enjoy trying to make then visible.  We make use of only a few of these energy pathways as they make there way from higher ordered/lower entropy sources to low order/higher entropy sinks.     

## Assignments
_**Design and produce something with a digital fabrication process (incorporating computer-aided design and manufacturing) not covered in another assignment, documenting the requirements that your assignment meets, and including everything necessary to reproduce
it.**_ 

I explored a number of things - 3d printing with clay. molding and casting tempeh, bamboo and digital fabrication, working with cutting fabric on the laser cutter,  and composites and precious plastics with MDEF.   


## 3d Printing with Clay 
To complete the assignment, I used a modified 3d printer to print with clay.  IAAC and Eduardo have extensive experience  in 3D printing paste materials like clay.    

A Crealty Ender Pro printer was modified to print clay.  it was fitted with an industrial pressure tube filled with clay pressurized to about 3 bar with air.  The exact pressure needs to be adjusted each time clay is added to the pressure tube. You can print anything that can be made into a paste with this tube.   The tube pushes material into a feed screw nozzle that pushes out a 4 mm line of clay at a rate the depends on how fast the screw turns.  

_**Overview of clay printing set up**_
![eduardo clay print](../images/week16-wildcard/clay-printing-equip-overvw.jpeg)

_**Close up showing industrial pressure tube and nozzle  instead of print head**_
![clay printing close up](../images/week16-wildcard/clay-printing1.jpeg)

_**Compressor provides air pressure to the pressure tube**_ 
![compressor](../images/week16-wildcard/clay-printing-compressor.jpeg)

### Clay Design and Printing process


_**I used a vase creator program from thingaverse to design the cup and create an STL file**_
![vase creator](../images/week16-wildcard/week16.1-VaseCreator.jpeg)

_**The STL file is then fed into a Grasshopper script that Eduardo wrote that slices and creates Gcode**_ 
![grasshopper 1](../images/week16-wildcard/week16.4_vase_Grasshopper-Repetier.jpeg)
![grasshopper 2](../images/week16-wildcard/week16.5_vase_Grasshopper-Repetier.jpeg)
![Grasshopper 3](../images/week16-wildcard/week16.6_vase_Grasshopper-Repetier.jpeg)


_**The gcode from Rhino is copied and loaded into Repetier, which connects to and controls the printer**_
![repetier screenshot](../images/week16-wildcard/screenshot-repetier2.jpg)

The air pressure and nozzle speed need to be adjusted for each batch of clay

_**The computer needs to stay connected to the printer for the entire process**_
![computer conencted to printer](../images/week16-wildcard/computer-conencted-to-printer.jpeg)

_**The start of printing my cup**_
![clay print 1](../images/week16-wildcard/clay-printing-print.jpeg)

_**Cup almost complete**_
![clay print 2](../images/week16-wildcard/clay-printing-print2.jpeg)

_**Cup collapsed after I removed it from the printer - a common occurrence for others as well.**_ 
![clay print fail](../images/week16-wildcard/clay-print-failure.jpeg)






## Molding and casting with soybeans (making tempeh)
![Tempeh success](../images/week16-wildcard/tempeh-ferment-final-tub.jpeg) 


This week I also experimented with making tempeh using advice from Barcelona based Domingo Club open source tempeh making company.  Maude from Domingo Club is working with MDEF students on a number fo projects and I ran into her at IAAC.  This is one of the things I love about IAAC.

![tempeh cut](../images/week16-wildcard/tempeh-cut.jpg)


Tempeh making is a process of molding and casting.   Cooked soybeans are inoculated with a microbe then placed in molds.  Over 36 hours the microbes create a mycellium-like mat that binds the soybeans together into a unit in the mold and makes them more digestible. 

Maude's company Domingoclub has several open source designs for 3D printing tempeh molds and incubators.  They are on the Domingo Club website [here](https://domingoclub.com/documentation)  


_**I 3D printed a mold for tempeh**_
![printing tempeh mold](../images/week16-wildcard/tempeh-mold.jpeg)



_**Maude sells petri dishes for tempeh molds and I tried some of these**_
![tempeh ready to ferment 2](../images/week16-wildcard/tempeh-ready-to-ferment2.jpeg)



_**I had the best luck with a covered cream cheese container with holes poked in it.**_
![tempeh 3](../images/week16-wildcard/tempeh-ferment-3.jpeg)

_**Partially Fermented**_
![tempeh 5](../images/week16-wildcard/temeh-ferment-5.jpeg)


_**Success!!**_
![Cream cheese container](../images/week16-wildcard/tempeh-ferment-final-tub.jpeg)  

I left my thermometer at IAAC over the weekend, so it  was difficult to know if we had the proper temperatures.  Some petri dishes worked and some did not even after several days of fermentation.   

_**We incubated the tempeh in the oven.  We left the light on to provide heat.**_
![tempeh 2](../images/week16-wildcard/tempeh-ferment-2.jpeg)
![tempeh in oven](../images/week16-wildcard/tempeh-in-oven.jpeg)
_**After some time in the oven, the ferment process creates it's own heat and the light can be shut off**_

_**Partially fermented tempeh**_
![tempeh ready to ferment 1](../images/week16-wildcard/tempeh-ready-to-ferment.jpeg)


## Bamboo and Digital Fabrication
I also experimented with bamboo and digital fabrication by making connectors for bamboo to be used in various projects   


### 3d Printing connectors for bamboo
_**Square stick cross connector for bamboo kite**_
![file of kite connectors 1](../images/week16-wildcard/kite-connector-square.jpeg)  

_**Round stick cross connector for bamboo kite**_
![file of kite connectors 2](../images/week16-wildcard/kite-connector-round.jpeg)  



_**Note connector where the two sticks cross**_
![kite on floor with connector](../images/week16-wildcard/kite-on-floor-with-connector.jpeg)

![Kite on table 2/connctor](../images/Week05-3d-printing-scanning/bamboo-kite.jpeg)



_**Made another flange for using bamboo as a table leg**_
![bamboo-flange](../images/week16-wildcard/bamboo flange.jpg)


### Laser cutting Bamboo 
I experimented with using the laser to cut holes and slots in round bamboo.  Surprisingly there isn't much online about cutting round bamboo with a laser cutter.

There is a lot of information on cutting bamboo plywood like that used for cutting boards. So I decided o give it a try.  

_**Setting the zed**_
![setting the zed](../images/week16-wildcard/bamboo-setting-zed.jpeg)

Tried a wide variety of speeds and power. 

![bamboo-laser-settings1](../images/week16-wildcard/bamboo-laser-settings.jpeg)

![bamboo-laser-settings2](../images/week16-wildcard/bamboo-settings-laser1.jpeg)

At full power with 3 or 4 passes I could cut a 5 mm hole but there was a lot of burning and charring around the hole.   The bamboo is pretty thick, 8 mm.   

![cutting holes1](../images/week16-wildcard/bamboo-circle-laser-cut.jpeg)

![burned holes](../images/week16-wildcard/bamboo-holes-burned-in.jpg)

_**Video of process of laser cutting holes in round bamboo**_
[video of laser cutting bamboo](../images/week16-wildcard/bamboo-laser-cutting.mp4)


### Working With Fabric 
I worked with the older large format laser and cut fabric for a large (1.8 meter x 1.8 meter) eddy kite. I found a cotton based fabric in the dumpster to use as a cover for the kite.    We used a power of 150 and a speed of 600 mm/min.

![rhino screenshot of kite fabric](../images/week16-wildcard/kite-fabric-in-rhino.jpg)

The design wouldn't fit on the laser cutter.   Josep had the idea to fold it in half to make it fit.   The laser can easily cut two layers of fabric.   

![kite fabric on printer](../images/final-project/cutting-kite-fabric-big-laser.jpg)

![kite](../images/Week05-3d-printing-scanning/bamboo-kite.jpeg)



### Cutting fabric with a laser 

![rhino design](../images/week16-wildcard/kite-fabric-in-rhino.jpg)


![fabric full size on laser](../images/week16-wildcard/kite-fabric-on-laser.jpeg)

![console for old laser](../images/week16-wildcard/operation-console-for-old-laser.jpeg)

 ![setting up fabric](../images/final-project/cutting-kite-fabric-big-laser.jpg)



### Composites
![composites 1](../images/week16-wildcard/burlap-skateboard1.jpeg)

![composites 2](../images/week16-wildcard/burlap-skateboard2.jpeg)

![composites 3](../images/week16-wildcard/burlap-skateboard3.jpeg)


### Precious Plastics 

Spent some time with someone from MDEF who was making flat plastic panels from ground plastic waste using Precious Plastics equipment design and processes.  

_**Waste plastic is ground into 5-10mm pieces then heated and compressed into a flat sheet**_ 
![precious plastics 1](../images/week16-wildcard/precious-plastics1.jpeg)

![precious plastics 2](../images/week16-wildcard/precious-plastics2.jpeg)

![Precious plastics 3](../images/week16-wildcard/precious-plastics3.jpeg)

## Files

[clay cup Grasshopper ](../files/week-16-wildcard/7.2(1).gh)

[Clay cup g-code rtf](../files/week-16-wildcard/clay-cup-gcode-lonnie(1)(1).rtf)

[Kite cross stick connector - round stl ](../files/week-16-wildcard/bamboo-kite-connector-round.stl)

[Kite cross stick connector flat stl ](../files/week-16-wildcard/kite-cross-pieces-full-sticks-flat.stl)

[Kite cloth design dxf](../files/week-16-wildcard/kite-cloth-design.dxf)

[Bamboo laser holes test dxf](../files/week-16-wildcard/bamboo-laser-test.dxf)
