# 17. Applications and Implications

_**This week's molding and casting project**_
![Paella](../images/final-project/paella-conv-oven.jpg)


## From Toaster Oven to Solar Tardis Oven 

![Toaster oven](../images/final-project/toaster oven test_set_up.jpeg)

![Tradis oven under construction](../images/final-project/Tardis-Oven-Under-Construction.jpg)

![Tradis oven on bench](../images/final-project/complete-tardis-oven-on-bench.jpg)


## Assignment

Propose a final project masterpiece that integrates the range of units covered,
answering:  
What will it do?  
Who's done what beforehand?  
What will you design?  
What materials and components will be used?  
Where will come from?  
How much will they cost?  
What parts and systems will be made?  
What processes will be used?  
What questions need to be answered?  
How will it be evaluated?  
Your project should incorporate 2D and 3D design,
additive and subtractive fabrication processes,
electronics design and production,
embedded microcontroller interfacing and programming,
system integration and packaging  
Where possible, you should make rather than buy
the parts of your project  
Projects can be separate or joint, but need to show individual
mastery of the skills, and be independently operable   



# _**Overview Of My Project - The Solar Toaster/Tardis Oven (STO)**_

My final project is a solar toaster oven (STO), a project meant to bring attention to the fact that solar energy has become so cheap that we can do dumb things with it.  Discussions of sufficiency and the wise, efficient and effective use of energy as ways to meet humanity's energy needs have taken a back seat to increasing the supply of cheap renewable energy from wind and solar.  

This focus on energy supply means that we are building solar panels and wind generators whose energy will ultimately be thrown away.  The construction, installation, and maintenance of solar panels and wind generators have ecological consequences.   We should be manufacturing and installing as few as we really need.   

## _**Deep Salar Toaster Oven Theory**_

The chart below illustrates how pervasive wasted energy is in the US economy.  Look at the right side of the chart.  It shows the ultimate destination of energy as it flows through the economy, ending up as either rejected (wasted) energy or useful energy services.   You can see that Rejected Energy or wasted energy  (the light grey box - 66.7 quads) is twice as much as the energy used to provide Energy Services (the dark grey box, 31.1 quads).  And as I will explain below it's even worse than that.  

![sphagetti chart US](../images/week17-apps-and-imps/Sankey Energy_US_2017.jpg)

The chart is called a sankey chart - informally known as a spaghetti chart because it looks like a bowl of spaghetti.   Let's untangle the spaghetti to better understand energy efficiency and the US economy.  

The chart shows how energy flows through the US economy, how it is transformed and what use the energy is put to.  On the left you can see the various sources of energy that provision the US economy.   The middle shows how energy is transformed as it flows through the economy.  On the right is a summary of what the energy ends up doing in the economy.   

As you can see on the right of the chart, the largest output of the US economy is wasted energy (2/3 or 66.7 quad wasted out of 97.7 quads total).  As an example, electric generation from coal, oil or nuclear energy sources wastes about 2/3 of the energy in the fuel.  Only 1/3 of the energy in the fuel is turned into electricity and 2/3ds is wasted right at the power plant in the process of making the electricity.   

You can see on the right of the chart that 1/3 of energy flowing through the economy provides useful energy services.  But these energy services are often provided using systems that operate far below what the laws of thermodynamics would allow for efficiency, therefore much of the energy used for "energy services" is also wasted.   Often the systems used to provide energy services  use 5 to 10 times the energy than is required by the laws of thermodynamics.   In other words, much of the energy that provides the "energy services" on the right side of the chart is also wasted. 

Here's an analogy that illustrates what happens to energy in the US economy: 
Imagine a city with water piped in from 10 miles outside the city.   The pipe is leaky and for every 100 gallons pumped through the pipe to the city, 66 gallons of water leaks out through the pipe.  The city needs more water and is considering installing a new more powerful pump.  It would be smarter and cheaper to fix the leaks in the pipe, which would triple the amount of water available to the city - from 33 gallons using leaky pipes to 100 gallons using repaired pipes for every 100 gallons pumped.   

The current discussion about sustainable energy focuses almost exclusively on replacing the non-renewable fossil fuel and nuclear energy sources on the left side of the chart with solar based renewables (wind and water power are ultimately derived from solar energy).  The rest of the highly inefficient economy is left alone. 

My project illustrates what could be done in the broader economy by reducing energy demand first and powering with renewables second.  My project is a superinsulated toaster oven that can be powered by 1/10 the energy (and 1/10 the solar panels) required by a conventional toaster oven.   

Beyond thinking of efficiency is the consideration of sufficiency - how much is enough?  When do increases in consumption and energy use begin to decrease rather than increase human well-being?  

The construction, installation, and maintenance of solar panels and wind generators have ecological consequences.   We should be manufacturing and installing as few as we really need.

![solar field](../images/week17-apps-and-imps/solar-field.jpg)


My last job before the fabacademy course was working on a large solar and wind project.  The solar project will have a capacity of 300 megawatts and cover an area 1.6 km wide by 5 km long with solar panels.  Solar electric panels are so cheap that we're covering the earth with projects like this to create energy that, for the most part, will provide no useful purpose.   

_**Propose a final project masterpiece that integrates the range of units covered, answering:**_

My final project is a superinsulated solar toaster oven (STO) that runs directly from a 270 watt solar panel.  I've also designed and fabricated electronics that measure and control the temperature in the oven and  flows of energy from the solar panel to the oven.  

To explore using radically smaller amounts of energy,  the STO (Solar Toaster Oven) was designed to use 1/10 to 1/50th the energy of a conventional toaster oven.   It runs on one 270 watt solar panel.  A conventional toaster oven would require about ten 270 watt solar panels.     

Other advantages:  
Traditional solar ovens use thermal energy from the sun directly and must be placed outdoors facing the sun.   The STO places the oven in the kitchen and allows a distance of 100 meters or more between the oven and the solar panel.   There could be  a "magic" cabinet in your kitchen that heats up to 100 - 150 degrees C all day every sunny day.  

In the final project web pages I discuss and analyze the advantages and disadvantages of direct solar cooking vs solar cooking powered by PV panels.  


Along the way I built a number of solar thermal cookers.  

![ximena and oven](../images/final-project/ximena-solar-oven.jpeg)

![cooking something](../images/final-project/solar-oven-tea.jpeg)

![box cooker](../images/final-project/box-cooker.jpg)


## _**Answers to Assignment Questions**_
 
_**What will it do?**_    
Use solar electric energy for ultra-high efficiency cooking  

_**Who's done what beforehand?_**  

Here's a few links to people who have made solar electric cookers and explored the physics of solar electric cooking:

[Sunspot PV](https://sunspotpv.com/)

[Cal Poly in Africa](https://www.youtube.com/watch?v=XTQhdjVd0Fk)

[Journal article](https://www.sciencedirect.com/science/article/pii/S2352728516300653)

_**What will you design?**_


 - Electronics to match the solar panel to the heating elements  
 - Insulated box for the solar oven (min r-20 (15-20 cm of insulation))   
 - Monitoring and metering electronics   

_**What materials and components will be used?**_

Found lots of stuff in dumpsters and from the shopping cart metal recyclers all over town  
 - Electronics  
   - Solar Panel  - Purchased used on Wallapop for $125 delivered   
   - SAMD based microcontroller boards - making them but not the chips ha ha.  Each board has about $10 in parts plus 40 hours of labor  
   - OLED display  - was in stock, $10 if purchase 
   - Temp sensors  - was in stock, $2 if purchased  
   - GPS (for time)  - $6 from Amazon  
   - amp sensors  - $10 for 3, from Amazon   
   - voltage sensor - voltage divider 2 resistors $0.50      
   - Boost DC to DC power supply for peak power point tracking - $25 from Amazon     
 - Oven Enclosure    
   - Insulation good to 150 deg c  -this has been the most challenging and messy part of the project.  The fiberglass insulation I have been pulling from dumpsters is of poor quality and falls apart easily releasing lots of irritating fibers.   The foam insulation is styrofoam, only good to about 70 deg C 
   - Plywood  - was in stock at the fablab, $60 per sheet, one sheet
   - Door - fabricated from scrap plywood  
 
 - Cables and connectors   
   - Cig Lighter Plugs  - generally a poor choice but good enough here - $5.00 on Amazon  
   - MC3/4 connectors - $15 for 6 pairs   
 
 - Toaster Oven   - bought for 1 eu from a metal recycler

 ![metal recycler image](../images/week17-apps-and-imps/shopping-cart-recycling.jpg)

According to the Guardian article below there 50-100,000 shopping cart metal recyclers in Catalonia and they recycle 100,000 tonnes of metal a year worth 10 billion euros.   

[Guardian Catalonia metal recycling article](https://www.theguardian.com/global-development/2021/mar/23/chariots-steel-barcelonas-hidden-migrant-army-scrap-recyclers)

_**Where will they come from?**_   See above


_**How much will they cost?**_   See above


_**What parts and systems will be made?**_

- enclosure 
- electronics 
- various clips and system integration parts   

_**What processes will be used?**_

  - CNC machining 
  - Electronics design and production
  - Laser cutting 
  - 3D Printing
  - vinyl cutting 
  - electronics production 


_**What questions need to be answered?**_

- Insulation type and installation 

_**How will it be evaluated?**_

- Does it produce heat from the sun?   Can it make a paella?

_**Your project should incorporate 2D and 3D design,
additive and subtractive fabrication processes,
electronics design and production,
embedded microcontroller interfacing and programming,
system integration and packaging_**  

- 2d design - Laser cut acrylic for mounting electronics, plywood outside cover 
- 3d design - design clip for holding amp sensor
- additive - 3 d print clip for holding amp sensor 
- subtractive - CNC router for cutting the curved outside wood cover  
- electronics design and production - controller and monitoring electronics   
- embedded microcontroller interface and programming - used a microcontroller for turning the oven on/off and     calculatng and displaying system parameters (PV voltage and current, oven temp, oven voltage and current, etc )
- system integration and packaging - Packaged the oven to look like a Tardis from Dr Who just for fun.   The electronics consists of a number of modules and boards:
  - ver 1 SAMD21 based controller board (made)
  - ver 2 ESP 32 based controller board (made) 
  - 4x20 display
  -  relay boards to control heater elements  (made) 
  - amp sensors (purchased)
  - voltage dividers for voltage sensing and temperature sensing  (made) 
  - boost switching mode power converter (purchased on Neil's recommendation)
I mounted the electronics on an acrylic board that I cut with the laser cutter (see photo below) 

![final board](../images/final-project/final board esp32 top view.jpg)

![display](../images/final-project/mockup_display.jpg)

_**Where possible, you should make rather than buy
the parts of your project**_

- check - Neil suggested I buy a boost dc-dc power converter rather than make one and I did 
- I purchased amp sensors 
- I purchased GPS modules for extracting clock time for the controller but did not implement this feature yet
- I purchased a used toaster oven
All the rest was made locally with parts in stock in the lab.  

_**Projects can be separate or joint, but need to show individual
mastery of the skills, and be independently operable**_  -

I did a separate projects, though I would love to find someone who would build a device that would move the panel to track the sun.   


