# 18. Invention Intellectual Property and Income 

![Stallman 4 Freedoms](../images/week18-Invent-and-intellect-prop/four-freedoms-stallman.jpg)



**Assignment Summary**
1. Develop a plan for dissemination of your final project
2. Outline future possibilities and describe how to make them happen 
3. Prepare drafts of your summary slide (presentation.png, 1920x1080)
and video clip (presentation.mp4, 1080p HTML5, < ~minute, < ~10 MB)
and put them in your root directory

**Prepare Drafts of Summary Slide and Video**

My draft presentation.png slide and presentation.mp4 video are up in the root directory of my repository in git.

My presentation slide:
![presentation slide](../presentation2.png)

My presentation video:
[final project video](../presentation.mp4)



**Develop a plan for dissemination of your final project**

I want my project to have the Four Freedoms that Richard Stallman developed as part of his and others work on the Free Software Foundation.  They were originally developed for software but Stallman argues that any work that is used as a tool to do something else should be subject to the four freedoms so that the end user is free to use, modify and distribute the tool as she wishes.   Stallman feels that to do otherwise is bad because it has the potential to manipulate and control the ways the user makes use of the tool.  Stallman makes an explicit moral judgement about restricting user freedoms, something that distinguishes "free" software movement from the "open source" movement.  Open source makes an instrumental argument rather than a moral one - that you and others will be better off if more people are allowed to work on improvements to your idea.    

This is essentially the argument that Professor Victor Barberán uses in his advocacy of free software and other tools, although he stops short of the moral judgement.    

The four freedoms are:

- Freedom 0: The freedom to run the program (use the project) as you wish, for any purpose.
- Freedom 1: The freedom to study how the program (project) works, and change it so it does your computing as you wish. Access to the source code is a precondition for this.
- Freedom 2: The freedom to redistribute copies so you can help your neighbor.
- Freedom 3: The freedom to distribute copies of your modified versions to others. By doing this you can give the whole community a chance to benefit from your changes. Access to the source code is a precondition for this.


I decided to use a creative commons license, and I used the [creative commons license selector](https://creativecommons.org/choose/?lang=en)

![my license](../images/week18-Invent-and-intellect-prop/license-creative-commons.png)

This license is known as a CC-BY-SA license:

- CC - Creative Commons

- By: Attribution — You must give appropriate credit, provide a link to the license, and indicate if changes were made. You may do so in any reasonable manner, but not in any way that suggests the licensor endorses you or your use.

- SA: ShareAlike — If you remix, transform, or build upon the material, you must distribute your contributions under the same license as the original.

No additional restrictions — You may not apply legal terms or technological measures that legally restrict others from doing anything the license permits.

Creative Commons provides a [lawyerly legal description](https://creativecommons.org/licenses/by-sa/4.0/legalcode) of the license and a [layman prose version](https://creativecommons.org/licenses/by-sa/4.0/).   

**Outline Future Possibilities**

Ideas for future work:
 - Develop a crock pot version - develop a version based on a crock pot rather than a toaster oven.  
 - Develop cooking aids like a timer that can turn the heater lelemtn on and off 
 - develop a direct solar assisted version - my oven does not use the energy of the sun directly in the form of light and radiant energy.   I'd like to experiment with a version that uses a PV panel to supplement a more conventional direct gain solar oven.
 - Try using mushroom based insulation that would grow to fit around the oven.   
 - Build large, powerful but portable ovens for applications like cooking pizza and bread at outdoor markets and festivals. Pizza and bread are heat intensive applications - pizza requires temps of 500 deg F for 10 minutes and bread temps of 500 deg F for 40 minutes.   

I look forward to implementing ideas these as time and money allow.  I am not interested in developing commercial versions of these projects - they are more like proof of concept or art projects that illustrate different ideas about energy and entropy.  Want to explore the idea of energy quality nd quantity needed for different cooking tasks as a metaphor for energy quality and quantity used in the larger economy.      