# 19.Project Development 

_**This Week's Bread**_

![bread](../images/week18-Invent-and-intellect-prop/bread-network-wk.jpg)


## **Assignment**  
Complete your final project tracking your progress.
See my [final project page](../projects/final-project.md) for weekly updates and a summary of the final design. 

My final project slide:
![here](../presentation2.png)

My final project video is [here](../presentation.mp4) 

### **Document a final project masterpiece that integrates the range of units covered, answering:**

There are several places in the assignment where these questions are asked.  The questions are answered on my final project [web pages](../final-project.md), on week 17 (Applications and Implications), and answers are also reproduced below. 



_**What will it do?**_    
Use solar electric energy for ultra-high efficiency cooking

_**Who's done what beforehand?**_

Here's a few links to people who have made solar electric cookers and explored the physics of solar electric cooking:

[Sunspot PV](https://sunspotpv.com/)

[Cal Poly in Africa](https://www.youtube.com/watch?v=XTQhdjVd0Fk)

[Journal article](https://www.sciencedirect.com/science/article/pii/S2352728516300653)

_**What will you design?**_

- Electronics to match the solar panel to the heating elements
- Insulated box for the solar oven (min r-20 - 15-20 cm of insulation))
- Monitoring and metering electronics

_**What materials and components will be used?**_

Found lots of stuff in dumpsters and from the shopping cart metal recyclers all over town

- Electronics
  - Solar Panel  - Purchased used on Wallapop for $125 delivered
  - SAMD based microcontroller boards - making them but not the chips ha ha.  Each board has about $10 in parts plus 40 hours of labor
  - OLED display  - was in stock, $10 if purchase
  - Temp sensors  - was in stock, $2 if purchased
  - GPS (for time)  - $6 from Amazon
  - amp sensors  - $10 for 3, from Amazon
  - voltage sensor - voltage divider 2 resistors $0.50
  - Boost DC to DC power supply for peak power point tracking - $25 from Amazon
- Oven Enclosure
  - Insulation good to 150 deg c  -this has been the most challenging and messy part of the project.  The fiberglass insulation I have been pulling from dumpsters is of poor quality and falls apart easily releasing lots of irritating fibers.   The foam insulation is styrofoam, only good to about 70 deg C
  - Plywood  - was in stock at the fablab, $60 per sheet, one sheet
  - Door - fabricated from scrap plywood

- Cables and connectors
  - Cig Lighter Plugs  - generally a poor choice but good enough here - $5.00 on Amazon
  - MC3/4 connectors - $15 for 6 pairs

- Toaster Oven   - bought for 1 eu from a metal recycler
  ![metal recycler image](../images/week17-apps-and-imps/shopping-cart-recycling.jpg)

According to the Guardian article below there 50-100,000 shopping cart metal recyclers in Catalonia and they recycle 100,000 tonnes of metal a year worth 10 billion euros.

[Guardian Catalonia metal recycling article](https://www.theguardian.com/global-development/2021/mar/23/chariots-steel-barcelonas-hidden-migrant-army-scrap-recyclers)

_**Where will they come from?**_   See above


_**How much will they cost?**_   See above


_**What parts and systems will be made?**_

- enclosure
- electronics
- various clips and system integration parts

_**What processes will be used?**_

- CNC machining
- Electronics design and production
- Laser cutting
- 3D Printing
- vinyl cutting
- electronics production


_**What questions need to be answered?**_

- Insulation type and installation

_**How will it be evaluated?**_

- Does it produce heat from the sun?   Can it make a paella?

_**Your project should incorporate 2D and 3D design,
additive and subtractive fabrication processes,
electronics design and production,
embedded microcontroller interfacing and programming,
system integration and packaging_**

- 2d design - Laser cut acrylic for mounting electronics, plywood outside cover
- 3d design - design clip for holding amp sensor
- additive - 3 d print clip for holding amp sensor
- subtractive - CNC router for cutting the curved outside wood cover
- electronics design and production - controller and monitoring electronics
- embedded microcontroller interface and programming - used a microcontroller for turning the oven on/off and     calculatng and displaying system parameters (PV voltage and current, oven temp, oven voltage and current, etc )
- system integration and packaging - Packaged the oven to look like a Tardis from Dr Who just for fun.   The electronics consists of a number of modules and boards:
  - ver 1 SAMD21 based controller board (made)
  - ver 2 ESP 32 based controller board (made)
  - 4x20 display
  -  relay boards to control heater elements  (made)
  - amp sensors (purchased)
  - voltage dividers for voltage sensing and temperature sensing  (made)
  - boost switching mode power converter (purchased on Neil's recommendation)
    I mounted the electronics on an acrylic board that I cut with the laser cutter (see photo below)

![final board](../images/final-project/final board esp32 top view.jpg)

![display](../images/final-project/mockup_display.jpg)

_**Where possible, you should make rather than buy
the parts of your project**_

- check - Neil suggested I buy a boost dc-dc power converter rather than make one and I did
- I purchased amp sensors
- I purchased GPS modules for extracting clock time for the controller but did not implement this feature yet
- I purchased a used toaster oven
  All the rest was made locally with parts in stock in the lab.

_**Projects can be separate or joint, but need to show individual
mastery of the skills, and be independently operable**_  -

I did a separate projects, though I would love to find someone who would build a device that would move the panel to track the sun.   


